/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */

﻿MovieClip.prototype.tint = function(r, g, b,proc){
   var c = new Color(this), ct = c.getTransform(), s = proc/100
   with(ct){
      rb= r*s;
      gb= g*s;
      bb= b*s;
      ra = ga = ba = 100-proc;
   }
   c.setTransform(ct)
}
MovieClip.prototype.getTint = function() {
	return new Color(this).getTransform();
}

MovieClip.prototype.resetColor = function(){
   new Color(this).setTransform({ra:100, ga:100, ba:100, rb:0, gb:0, bb:0})
}

MovieClip.prototype.randomTint = function() {
	var min = 0;
	var max = 255;
	
	tint( Math.round(Math.random()*(max-min))+min, Math.round(Math.random()*(max-min))+min, Math.round(Math.random()*(max-min))+min, Math.round(Math.random()*(100-0))+0 );
}

function randRange(min:Number, max:Number):Number {
  var randomNum:Number = Math.round(Math.random()*(max-min))+min;
  return randomNum;
}

ZI.country_code="ZW";
ZI.object_name="ZI";
ZI.country_name="Zimbabwe";
ZI.original_x=ZI._x;
ZI.original_y=ZI._y;
ZI.original_w=ZI._width;
ZI.original_h=ZI._height;

ZA.country_code="ZM";
ZA.object_name="ZA";
ZA.country_name="Zambia";
ZA.original_x=ZA._x;
ZA.original_y=ZA._y;
ZA.original_w=ZA._width;
ZA.original_h=ZA._height;

YM.country_code="YE";
YM.object_name="YM";
YM.country_name="Yemen";
YM.original_x=YM._x;
YM.original_y=YM._y;
YM.original_w=YM._width;
YM.original_h=YM._height;

WZ.country_code="SZ";
WZ.object_name="WZ";
WZ.country_name="Swaziland";
WZ.original_x=WZ._x;
WZ.original_y=WZ._y;
WZ.original_w=WZ._width;
WZ.original_h=WZ._height;

WI.country_code="EH";
WI.object_name="WI";
WI.country_name="Western Sahara";
WI.original_x=WI._x;
WI.original_y=WI._y;
WI.original_w=WI._width;
WI.original_h=WI._height;

WB.country_code="WB";
WB.object_name="WB";
WB.country_name="West Bank and Ghaza";
WB.original_x=WB._x;
WB.original_y=WB._y;
WB.original_w=WB._width;
WB.original_h=WB._height;

WA.country_code="NA";
WA.object_name="WA";
WA.country_name="Namibia";
WA.original_x=WA._x;
WA.original_y=WA._y;
WA.original_w=WA._width;
WA.original_h=WA._height;

VM.country_code="VN";
VM.object_name="VM";
VM.country_name="Vietnam";
VM.original_x=VM._x;
VM.original_y=VM._y;
VM.original_w=VM._width;
VM.original_h=VM._height;

VE.country_code="VE";
VE.object_name="VE";
VE.country_name="Venezuela";
VE.original_x=VE._x;
VE.original_y=VE._y;
VE.original_w=VE._width;
VE.original_h=VE._height;

UZ.country_code="UZ";
UZ.object_name="UZ";
UZ.country_name="Uzbekistan";
UZ.original_x=UZ._x;
UZ.original_y=UZ._y;
UZ.original_w=UZ._width;
UZ.original_h=UZ._height;

UY.country_code="UY";
UY.object_name="UY";
UY.country_name="Uruguay";
UY.original_x=UY._x;
UY.original_y=UY._y;
UY.original_w=UY._width;
UY.original_h=UY._height;

UV.country_code="BF";
UV.object_name="UV";
UV.country_name="Burkina Faso";
UV.original_x=UV._x;
UV.original_y=UV._y;
UV.original_w=UV._width;
UV.original_h=UV._height;

US.country_code="US";
US.object_name="US";
US.country_name="United States";
US.original_x=US._x;
US.original_y=US._y;
US.original_w=US._width;
US.original_h=US._height;

UK.country_code="GB";
UK.object_name="UK";
UK.country_name="United Kingdom";
UK.original_x=UK._x;
UK.original_y=UK._y;
UK.original_w=UK._width;
UK.original_h=UK._height;

UI.country_code="UA";
UI.object_name="UI";
UI.country_name="Ukraine";
UI.original_x=UI._x;
UI.original_y=UI._y;
UI.original_w=UI._width;
UI.original_h=UI._height;

UG.country_code="UG";
UG.object_name="UG";
UG.country_name="Uganda";
UG.original_x=UG._x;
UG.original_y=UG._y;
UG.original_w=UG._width;
UG.original_h=UG._height;

TZ.country_code="TZ";
TZ.object_name="TZ";
TZ.country_name="United Republic of Tanzania";
TZ.original_x=TZ._x;
TZ.original_y=TZ._y;
TZ.original_w=TZ._width;
TZ.original_h=TZ._height;

TX.country_code="TM";
TX.object_name="TX";
TX.country_name="Turkmenistan";
TX.original_x=TX._x;
TX.original_y=TX._y;
TX.original_w=TX._width;
TX.original_h=TX._height;

TW.country_code="TW";
TW.object_name="TW";
TW.country_name="Taiwan";
TW.original_x=TW._x;
TW.original_y=TW._y;
TW.original_w=TW._width;
TW.original_h=TW._height;

TU.country_code="TR";
TU.object_name="TU";
TU.country_name="Turkey";
TU.original_x=TU._x;
TU.original_y=TU._y;
TU.original_w=TU._width;
TU.original_h=TU._height;

TS.country_code="TN";
TS.object_name="TS";
TS.country_name="Tunisia";
TS.original_x=TS._x;
TS.original_y=TS._y;
TS.original_w=TS._width;
TS.original_h=TS._height;

TO.country_code="TG";
TO.object_name="TO";
TO.country_name="Togo";
TO.original_x=TO._x;
TO.original_y=TO._y;
TO.original_w=TO._width;
TO.original_h=TO._height;

TI.country_code="TJ";
TI.object_name="TI";
TI.country_name="Tajikistan";
TI.original_x=TI._x;
TI.original_y=TI._y;
TI.original_w=TI._width;
TI.original_h=TI._height;

TH.country_code="TH";
TH.object_name="TH";
TH.country_name="Thailand";
TH.original_x=TH._x;
TH.original_y=TH._y;
TH.original_w=TH._width;
TH.original_h=TH._height;

TD.country_code="TT";
TD.object_name="TD";
TD.country_name="Trinidad";
TD.original_x=TD._x;
TD.original_y=TD._y;
TD.original_w=TD._width;
TD.original_h=TD._height;

TC.country_code="AE";
TC.object_name="TC";
TC.country_name="United Arab Emirates";
TC.original_x=TC._x;
TC.original_y=TC._y;
TC.original_w=TC._width;
TC.original_h=TC._height;

SZ.country_code="CH";
SZ.object_name="SZ";
SZ.country_name="Switzerland";
SZ.original_x=SZ._x;
SZ.original_y=SZ._y;
SZ.original_w=SZ._width;
SZ.original_h=SZ._height;

SY.country_code="SY";
SY.object_name="SY";
SY.country_name="Syria";
SY.original_x=SY._x;
SY.original_y=SY._y;
SY.original_w=SY._width;
SY.original_h=SY._height;

SW.country_code="SE";
SW.object_name="SW";
SW.country_name="Sweden";
SW.original_x=SW._x;
SW.original_y=SW._y;
SW.original_w=SW._width;
SW.original_h=SW._height;

SU.country_code="SD";
SU.object_name="SU";
SU.country_name="Sudan";
SU.original_x=SU._x;
SU.original_y=SU._y;
SU.original_w=SU._width;
SU.original_h=SU._height;

/*
CS.country_code="CS";
CS.object_name="CS";
CS.country_name="Serbia and Montenegro";
CS.original_x=SR._x;
CS.original_y=SR._y;
CS.original_w=SR._width;
CS.original_h=SR._height;
*/

MW.country_code="ME";
MW.object_name="MW";
MW.country_name="Montenegro";
MW.original_x=MW._x;
MW.original_y=MW._y;
MW.original_w=MW._width;
MW.original_h=MW._height;

SR.country_code="RS";
SR.object_name="SR";
SR.country_name="Serbia";
SR.original_x=MW._x;
SR.original_y=MW._y;
SR.original_w=MW._width;
SR.original_h=MW._height;

SP.country_code="ES";
SP.object_name="SP";
SP.country_name="Spain";
SP.original_x=SP._x;
SP.original_y=SP._y;
SP.original_w=SP._width;
SP.original_h=SP._height;

SO.country_code="SO";
SO.object_name="SO";
SO.country_name="Somalia";
SO.original_x=SO._x;
SO.original_y=SO._y;
SO.original_w=SO._width;
SO.original_h=SO._height;

SL.country_code="SL";
SL.object_name="SL";
SL.country_name="Sierra Leone";
SL.original_x=SL._x;
SL.original_y=SL._y;
SL.original_w=SL._width;
SL.original_h=SL._height;

SI.country_code="SI";
SI.object_name="SI";
SI.country_name="Slovenia";
SI.original_x=SI._x;
SI.original_y=SI._y;
SI.original_w=SI._width;
SI.original_h=SI._height;

SG.country_code="SN";
SG.object_name="SG";
SG.country_name="Senegal";
SG.original_x=SG._x;
SG.original_y=SG._y;
SG.original_w=SG._width;
SG.original_h=SG._height;

SF.country_code="ZA";
SF.object_name="SF";
SF.country_name="South Africa";
SF.original_x=SF._x;
SF.original_y=SF._y;
SF.original_w=SF._width;
SF.original_h=SF._height;

SA.country_code="SA";
SA.object_name="SA";
SA.country_name="Saudi Arabia";
SA.original_x=SA._x;
SA.original_y=SA._y;
SA.original_w=SA._width;
SA.original_h=SA._height;

RW.country_code="RW";
RW.object_name="RW";
RW.country_name="Rwanda";
RW.original_x=RW._x;
RW.original_y=RW._y;
RW.original_w=RW._width;
RW.original_h=RW._height;

RS.country_code="RU";
RS.object_name="RS";
RS.country_name="Russia";
RS.original_x=RS._x;
RS.original_y=RS._y;
RS.original_w=RS._width;
RS.original_h=RS._height;

RQ.country_code="PR";
RQ.object_name="RQ";
RQ.country_name="Puerto Rico";
RQ.original_x=RQ._x;
RQ.original_y=RQ._y;
RQ.original_w=RQ._width;
RQ.original_h=RQ._height;

RP.country_code="PH";
RP.object_name="RP";
RP.country_name="Philippines";
RP.original_x=RP._x;
RP.original_y=RP._y;
RP.original_w=RP._width;
RP.original_h=RP._height;

RO.country_code="RO";
RO.object_name="RO";
RO.country_name="Romania";
RO.original_x=RO._x;
RO.original_y=RO._y;
RO.original_w=RO._width;
RO.original_h=RO._height;

QA.country_code="QA";
QA.object_name="QA";
QA.country_name="Qatar";
QA.original_x=QA._x;
QA.original_y=QA._y;
QA.original_w=QA._width;
QA.original_h=QA._height;

PU.country_code="GW";
PU.object_name="PU";
PU.country_name="Guinea-Bissau";
PU.original_x=PU._x;
PU.original_y=PU._y;
PU.original_w=PU._width;
PU.original_h=PU._height;

PP.country_code="PG";
PP.object_name="PP";
PP.country_name="Papua New Guinea";
PP.original_x=PP._x;
PP.original_y=PP._y;
PP.original_w=PP._width;
PP.original_h=PP._height;

PO.country_code="PT";
PO.object_name="PO";
PO.country_name="Portugal";
PO.original_x=PO._x;
PO.original_y=PO._y;
PO.original_w=PO._width;
PO.original_h=PO._height;

PM.country_code="PA";
PM.object_name="PM";
PM.country_name="Panama";
PM.original_x=PM._x;
PM.original_y=PM._y;
PM.original_w=PM._width;
PM.original_h=PM._height;

PL.country_code="PL";
PL.object_name="PL";
PL.country_name="Poland";
PL.original_x=PL._x;
PL.original_y=PL._y;
PL.original_w=PL._width;
PL.original_h=PL._height;

PK.country_code="PK";
PK.object_name="PK";
PK.country_name="Pakistan";
PK.original_x=PK._x;
PK.original_y=PK._y;
PK.original_w=PK._width;
PK.original_h=PK._height;

PE.country_code="PE";
PE.object_name="PE";
PE.country_name="Peru";
PE.original_x=PE._x;
PE.original_y=PE._y;
PE.original_w=PE._width;
PE.original_h=PE._height;

PA.country_code="PY";
PA.object_name="PA";
PA.country_name="Paraguay";
PA.original_x=PA._x;
PA.original_y=PA._y;
PA.original_w=PA._width;
PA.original_h=PA._height;

NZ.country_code="NZ";
NZ.object_name="NZ";
NZ.country_name="New Zealand";
NZ.original_x=NZ._x;
NZ.original_y=NZ._y;
NZ.original_w=NZ._width;
NZ.original_h=NZ._height;

NU.country_code="NI";
NU.object_name="NU";
NU.country_name="Nicaragua";
NU.original_x=NU._x;
NU.original_y=NU._y;
NU.original_w=NU._width;
NU.original_h=NU._height;

NS.country_code="SR";
NS.object_name="NS";
NS.country_name="Suriname";
NS.original_x=NS._x;
NS.original_y=NS._y;
NS.original_w=NS._width;
NS.original_h=NS._height;

NP.country_code="NP";
NP.object_name="NP";
NP.country_name="Nepal";
NP.original_x=NP._x;
NP.original_y=NP._y;
NP.original_w=NP._width;
NP.original_h=NP._height;

NO.country_code="NO";
NO.object_name="NO";
NO.country_name="Norway";
NO.original_x=NO._x;
NO.original_y=NO._y;
NO.original_w=NO._width;
NO.original_h=NO._height;

NL.country_code="NL";
NL.object_name="NL";
NL.country_name="Netherlands";
NL.original_x=NL._x;
NL.original_y=NL._y;
NL.original_w=NL._width;
NL.original_h=NL._height;

NI.country_code="NG";
NI.object_name="NI";
NI.country_name="Nigeria";
NI.original_x=NI._x;
NI.original_y=NI._y;
NI.original_w=NI._width;
NI.original_h=NI._height;

NG.country_code="NE";
NG.object_name="NG";
NG.country_name="Niger";
NG.original_x=NG._x;
NG.original_y=NG._y;
NG.original_w=NG._width;
NG.original_h=NG._height;

MZ.country_code="MZ";
MZ.object_name="MZ";
MZ.country_name="Mozambique";
MZ.original_x=MZ._x;
MZ.original_y=MZ._y;
MZ.original_w=MZ._width;
MZ.original_h=MZ._height;

MY.country_code="MY";
MY.object_name="MY";
MY.country_name="Malaysia";
MY.original_x=MY._x;
MY.original_y=MY._y;
MY.original_w=MY._width;
MY.original_h=MY._height;

MX.country_code="MX";
MX.object_name="MX";
MX.country_name="Mexico";
MX.original_x=MX._x;
MX.original_y=MX._y;
MX.original_w=MX._width;
MX.original_h=MX._height;

MU.country_code="OM";
MU.object_name="MU";
MU.country_name="Oman";
MU.original_x=MU._x;
MU.original_y=MU._y;
MU.original_w=MU._width;
MU.original_h=MU._height;

MR.country_code="MR";
MR.object_name="MR";
MR.country_name="Mauritania";
MR.original_x=MR._x;
MR.original_y=MR._y;
MR.original_w=MR._width;
MR.original_h=MR._height;

MO.country_code="MA";
MO.object_name="MO";
MO.country_name="Morocco";
MO.original_x=MO._x;
MO.original_y=MO._y;
MO.original_w=MO._width;
MO.original_h=MO._height;

ML.country_code="ML";
ML.object_name="ML";
ML.country_name="Mali";
ML.original_x=ML._x;
ML.original_y=ML._y;
ML.original_w=ML._width;
ML.original_h=ML._height;

MK.country_code="MK";
MK.object_name="MK";
MK.country_name="Former Yugoslav Republic of Macedonia";
MK.original_x=MK._x;
MK.original_y=MK._y;
MK.original_w=MK._width;
MK.original_h=MK._height;

MI.country_code="MW";
MI.object_name="MI";
MI.country_name="Malawi";
MI.original_x=MI._x;
MI.original_y=MI._y;
MI.original_w=MI._width;
MI.original_h=MI._height;

MG.country_code="MN";
MG.object_name="MG";
MG.country_name="Mongolia";
MG.original_x=MG._x;
MG.original_y=MG._y;
MG.original_w=MG._width;
MG.original_h=MG._height;

MD.country_code="MD";
MD.object_name="MD";
MD.country_name="Moldova";
MD.original_x=MD._x;
MD.original_y=MD._y;
MD.original_w=MD._width;
MD.original_h=MD._height;

MA.country_code="MG";
MA.object_name="MA";
MA.country_name="Madagascar";
MA.original_x=MA._x;
MA.original_y=MA._y;
MA.original_w=MA._width;
MA.original_h=MA._height;

LY.country_code="LY";
LY.object_name="LY";
LY.country_name="Libya";
LY.original_x=LY._x;
LY.original_y=LY._y;
LY.original_w=LY._width;
LY.original_h=LY._height;

LU.country_code="LU";
LU.object_name="LU";
LU.country_name="Luxembourg";
LU.original_x=LU._x;
LU.original_y=LU._y;
LU.original_w=LU._width;
LU.original_h=LU._height;

LT.country_code="LS";
LT.object_name="LT";
LT.country_name="Lesotho";
LT.original_x=LT._x;
LT.original_y=LT._y;
LT.original_w=LT._width;
LT.original_h=LT._height;

LO.country_code="SK";
LO.object_name="LO";
LO.country_name="Slovakia";
LO.original_x=LO._x;
LO.original_y=LO._y;
LO.original_w=LO._width;
LO.original_h=LO._height;

LI.country_code="LR";
LI.object_name="LI";
LI.country_name="Liberia";
LI.original_x=LI._x;
LI.original_y=LI._y;
LI.original_w=LI._width;
LI.original_h=LI._height;

LH.country_code="LT";
LH.object_name="LH";
LH.country_name="Lithuania";
LH.original_x=LH._x;
LH.original_y=LH._y;
LH.original_w=LH._width;
LH.original_h=LH._height;

LG.country_code="LV";
LG.object_name="LG";
LG.country_name="Latvia";
LG.original_x=LG._x;
LG.original_y=LG._y;
LG.original_w=LG._width;
LG.original_h=LG._height;

LE.country_code="LB";
LE.object_name="LE";
LE.country_name="Lebanon";
LE.original_x=LE._x;
LE.original_y=LE._y;
LE.original_w=LE._width;
LE.original_h=LE._height;

LA.country_code="LA";
LA.object_name="LA";
LA.country_name="Laos";
LA.original_x=LA._x;
LA.original_y=LA._y;
LA.original_w=LA._width;
LA.original_h=LA._height;

KZ.country_code="KZ";
KZ.object_name="KZ";
KZ.country_name="Kazakhstan";
KZ.original_x=KZ._x;
KZ.original_y=KZ._y;
KZ.original_w=KZ._width;
KZ.original_h=KZ._height;

KU.country_code="KW";
KU.object_name="KU";
KU.country_name="Kuwait";
KU.original_x=KU._x;
KU.original_y=KU._y;
KU.original_w=KU._width;
KU.original_h=KU._height;

KS.country_code="KR";
KS.object_name="KS";
KS.country_name="Republic of Korea";
KS.original_x=KS._x;
KS.original_y=KS._y;
KS.original_w=KS._width;
KS.original_h=KS._height;

KN.country_code="KP";
KN.object_name="KN";
KN.country_name="Democratic People's Republic of Korea";
KN.original_x=KN._x;
KN.original_y=KN._y;
KN.original_w=KN._width;
KN.original_h=KN._height;

KG.country_code="KG";
KG.object_name="KG";
KG.country_name="Kyrgyzstan";
KG.original_x=KG._x;
KG.original_y=KG._y;
KG.original_w=KG._width;
KG.original_h=KG._height;

KE.country_code="KE";
KE.object_name="KE";
KE.country_name="Kenya";
KE.original_x=KE._x;
KE.original_y=KE._y;
KE.original_w=KE._width;
KE.original_h=KE._height;

JO.country_code="JO";
JO.object_name="JO";
JO.country_name="Jordan";
JO.original_x=JO._x;
JO.original_y=JO._y;
JO.original_w=JO._width;
JO.original_h=JO._height;

JM.country_code="JM";
JM.object_name="JM";
JM.country_name="Jamaica";
JM.original_x=JM._x;
JM.original_y=JM._y;
JM.original_w=JM._width;
JM.original_h=JM._height;

JA.country_code="JP";
JA.object_name="JA";
JA.country_name="Japan";
JA.original_x=JA._x;
JA.original_y=JA._y;
JA.original_w=JA._width;
JA.original_h=JA._height;

IZ.country_code="IQ";
IZ.object_name="IZ";
IZ.country_name="Iraq";
IZ.original_x=IZ._x;
IZ.original_y=IZ._y;
IZ.original_w=IZ._width;
IZ.original_h=IZ._height;

IV.country_code="CI";
IV.object_name="IV";
IV.country_name="Ivory Coast";
IV.original_x=IV._x;
IV.original_y=IV._y;
IV.original_w=IV._width;
IV.original_h=IV._height;

IT.country_code="IT";
IT.object_name="IT";
IT.country_name="Italy";
IT.original_x=IT._x;
IT.original_y=IT._y;
IT.original_w=IT._width;
IT.original_h=IT._height;

IS.country_code="IL";
IS.object_name="IS";
IS.country_name="Israel";
IS.original_x=IS._x;
IS.original_y=IS._y;
IS.original_w=IS._width;
IS.original_h=IS._height;

IR.country_code="IR";
IR.object_name="IR";
IR.country_name="Iran";
IR.original_x=IR._x;
IR.original_y=IR._y;
IR.original_w=IR._width;
IR.original_h=IR._height;

IN.country_code="IN";
IN.object_name="IN";
IN.country_name="India";
IN.original_x=IN._x;
IN.original_y=IN._y;
IN.original_w=IN._width;
IN.original_h=IN._height;

ID.country_code="ID";
ID.object_name="ID";
ID.country_name="Indonesia";
ID.original_x=ID._x;
ID.original_y=ID._y;
ID.original_w=ID._width;
ID.original_h=ID._height;

IC.country_code="IS";
IC.object_name="IC";
IC.country_name="Iceland";
IC.original_x=IC._x;
IC.original_y=IC._y;
IC.original_w=IC._width;
IC.original_h=IC._height;

HU.country_code="HU";
HU.object_name="HU";
HU.country_name="Hungary";
HU.original_x=HU._x;
HU.original_y=HU._y;
HU.original_w=HU._width;
HU.original_h=HU._height;

HR.country_code="HR";
HR.object_name="HR";
HR.country_name="Croatia";
HR.original_x=HR._x;
HR.original_y=HR._y;
HR.original_w=HR._width;
HR.original_h=HR._height;

HO.country_code="HN";
HO.object_name="HO";
HO.country_name="Honduras";
HO.original_x=HO._x;
HO.original_y=HO._y;
HO.original_w=HO._width;
HO.original_h=HO._height;

HA.country_code="HT";
HA.object_name="HA";
HA.country_name="Haiti";
HA.original_x=HA._x;
HA.original_y=HA._y;
HA.original_w=HA._width;
HA.original_h=HA._height;

GY.country_code="GY";
GY.object_name="GY";
GY.country_name="Guyana";
GY.original_x=GY._x;
GY.original_y=GY._y;
GY.original_w=GY._width;
GY.original_h=GY._height;

GV.country_code="GN";
GV.object_name="GV";
GV.country_name="Guinea-Conakry";
GV.original_x=GV._x;
GV.original_y=GV._y;
GV.original_w=GV._width;
GV.original_h=GV._height;

GT.country_code="GT";
GT.object_name="GT";
GT.country_name="Guatemala";
GT.original_x=GT._x;
GT.original_y=GT._y;
GT.original_w=GT._width;
GT.original_h=GT._height;

GR.country_code="GR";
GR.object_name="GR";
GR.country_name="Greece";
GR.original_x=GR._x;
GR.original_y=GR._y;
GR.original_w=GR._width;
GR.original_h=GR._height;

GM.country_code="DE";
GM.object_name="GM";
GM.country_name="Germany";
GM.original_x=GM._x;
GM.original_y=GM._y;
GM.original_w=GM._width;
GM.original_h=GM._height;

GL.country_code="GL";
GL.object_name="GL";
GL.country_name="Greenland";
GL.original_x=GL._x;
GL.original_y=GL._y;
GL.original_w=GL._width;
GL.original_h=GL._height;

GH.country_code="GH";
GH.object_name="GH";
GH.country_name="Ghana";
GH.original_x=GH._x;
GH.original_y=GH._y;
GH.original_w=GH._width;
GH.original_h=GH._height;

GG.country_code="GE";
GG.object_name="GG";
GG.country_name="Georgia";
GG.original_x=GG._x;
GG.original_y=GG._y;
GG.original_w=GG._width;
GG.original_h=GG._height;

GB.country_code="GA";
GB.object_name="GB";
GB.country_name="Gabon";
GB.original_x=GB._x;
GB.original_y=GB._y;
GB.original_w=GB._width;
GB.original_h=GB._height;

GA.country_code="GM";
GA.object_name="GA";
GA.country_name="The Gambia";
GA.original_x=GA._x;
GA.original_y=GA._y;
GA.original_w=GA._width;
GA.original_h=GA._height;

FR.country_code="FR";
FR.object_name="FR";
FR.country_name="France";
FR.original_x=FR._x;
FR.original_y=FR._y;
FR.original_w=FR._width;
FR.original_h=FR._height;

FI.country_code="FI";
FI.object_name="FI";
FI.country_name="Finland";
FI.original_x=FI._x;
FI.original_y=FI._y;
FI.original_w=FI._width;
FI.original_h=FI._height;

FG.country_code="GF";
FG.object_name="FG";
FG.country_name="French Guiana";
FG.original_x=FG._x;
FG.original_y=FG._y;
FG.original_w=FG._width;
FG.original_h=FG._height;

EZ.country_code="CZ";
EZ.object_name="EZ";
EZ.country_name="Czech Republic";
EZ.original_x=EZ._x;
EZ.original_y=EZ._y;
EZ.original_w=EZ._width;
EZ.original_h=EZ._height;

ET.country_code="ET";
ET.object_name="ET";
ET.country_name="Ethiopia";
ET.original_x=ET._x;
ET.original_y=ET._y;
ET.original_w=ET._width;
ET.original_h=ET._height;

ES.country_code="SV";
ES.object_name="ES";
ES.country_name="El Salvador";
ES.original_x=ES._x;
ES.original_y=ES._y;
ES.original_w=ES._width;
ES.original_h=ES._height;

ER.country_code="ER";
ER.object_name="ER";
ER.country_name="Eritrea";
ER.original_x=ER._x;
ER.original_y=ER._y;
ER.original_w=ER._width;
ER.original_h=ER._height;

EN.country_code="EE";
EN.object_name="EN";
EN.country_name="Estonia";
EN.original_x=EN._x;
EN.original_y=EN._y;
EN.original_w=EN._width;
EN.original_h=EN._height;

EK.country_code="GQ";
EK.object_name="EK";
EK.country_name="Equatorial Guinea";
EK.original_x=EK._x;
EK.original_y=EK._y;
EK.original_w=EK._width;
EK.original_h=EK._height;

EI.country_code="IE";
EI.object_name="EI";
EI.country_name="Ireland";
EI.original_x=EI._x;
EI.original_y=EI._y;
EI.original_w=EI._width;
EI.original_h=EI._height;

EG.country_code="EG";
EG.object_name="EG";
EG.country_name="Egypt";
EG.original_x=EG._x;
EG.original_y=EG._y;
EG.original_w=EG._width;
EG.original_h=EG._height;

EC.country_code="EC";
EC.object_name="EC";
EC.country_name="Ecuador";
EC.original_x=EC._x;
EC.original_y=EC._y;
EC.original_w=EC._width;
EC.original_h=EC._height;

DR.country_code="DO";
DR.object_name="DR";
DR.country_name="Dominican Republic";
DR.original_x=DR._x;
DR.original_y=DR._y;
DR.original_w=DR._width;
DR.original_h=DR._height;

DJ.country_code="DJ";
DJ.object_name="DJ";
DJ.country_name="Djibouti";
DJ.original_x=DJ._x;
DJ.original_y=DJ._y;
DJ.original_w=DJ._width;
DJ.original_h=DJ._height;

DA.country_code="DK";
DA.object_name="DA";
DA.country_name="Denmark";
DA.original_x=DA._x;
DA.original_y=DA._y;
DA.original_w=DA._width;
DA.original_h=DA._height;

CY.country_code="CY";
CY.object_name="CY";
CY.country_name="Cyprus";
CY.original_x=CY._x;
CY.original_y=CY._y;
CY.original_w=CY._width;
CY.original_h=CY._height;

CU.country_code="CU";
CU.object_name="CU";
CU.country_name="Cuba";
CU.original_x=CU._x;
CU.original_y=CU._y;
CU.original_w=CU._width;
CU.original_h=CU._height;

CT.country_code="CF";
CT.object_name="CT";
CT.country_name="Central African Republic";
CT.original_x=CT._x;
CT.original_y=CT._y;
CT.original_w=CT._width;
CT.original_h=CT._height;

CS.country_code="CR";
CS.object_name="CS";
CS.country_name="Costa Rica";
CS.original_x=CS._x;
CS.original_y=CS._y;
CS.original_w=CS._width;
CS.original_h=CS._height;

CO.country_code="CO";
CO.object_name="CO";
CO.country_name="Colombia";
CO.original_x=CO._x;
CO.original_y=CO._y;
CO.original_w=CO._width;
CO.original_h=CO._height;

CM.country_code="CM";
CM.object_name="CM";
CM.country_name="Cameroon";
CM.original_x=CM._x;
CM.original_y=CM._y;
CM.original_w=CM._width;
CM.original_h=CM._height;

CI.country_code="CL";
CI.object_name="CI";
CI.country_name="Chile";
CI.original_x=CI._x;
CI.original_y=CI._y;
CI.original_w=CI._width;
CI.original_h=CI._height;

CH.country_code="CN";
CH.object_name="CH";
CH.country_name="China";
CH.original_x=CH._x;
CH.original_y=CH._y;
CH.original_w=CH._width;
CH.original_h=CH._height;

CG.country_code="CD";
CG.object_name="CG";
CG.country_name="Democratic Republic of Congo";
CG.original_x=CG._x;
CG.original_y=CG._y;
CG.original_w=CG._width;
CG.original_h=CG._height;

CF.country_code="CG";
CF.object_name="CF";
CF.country_name="Congo";
CF.original_x=CF._x;
CF.original_y=CF._y;
CF.original_w=CF._width;
CF.original_h=CF._height;

CE.country_code="LK";
CE.object_name="CE";
CE.country_name="Sri Lanka";
CE.original_x=CE._x;
CE.original_y=CE._y;
CE.original_w=CE._width;
CE.original_h=CE._height;

CD.country_code="TD";
CD.object_name="CD";
CD.country_name="Chad";
CD.original_x=CD._x;
CD.original_y=CD._y;
CD.original_w=CD._width;
CD.original_h=CD._height;

CB.country_code="KH";
CB.object_name="CB";
CB.country_name="Cambodia";
CB.original_x=CB._x;
CB.original_y=CB._y;
CB.original_w=CB._width;
CB.original_h=CB._height;

CA.country_code="CA";
CA.object_name="CA";
CA.country_name="Canada";
CA.original_x=CA._x;
CA.original_y=CA._y;
CA.original_w=CA._width;
CA.original_h=CA._height;

BY.country_code="BI";
BY.object_name="BY";
BY.country_name="Burundi";
BY.original_x=BY._x;
BY.original_y=BY._y;
BY.original_w=BY._width;
BY.original_h=BY._height;

BX.country_code="BN";
BX.object_name="BX";
BX.country_name="Brunei";
BX.original_x=BX._x;
BX.original_y=BX._y;
BX.original_w=BX._width;
BX.original_h=BX._height;

BU.country_code="BG";
BU.object_name="BU";
BU.country_name="Bulgaria";
BU.original_x=BU._x;
BU.original_y=BU._y;
BU.original_w=BU._width;
BU.original_h=BU._height;

BT.country_code="BT";
BT.object_name="BT";
BT.country_name="Bhutan";
BT.original_x=BT._x;
BT.original_y=BT._y;
BT.original_w=BT._width;
BT.original_h=BT._height;

BR.country_code="BR";
BR.object_name="BR";
BR.country_name="Brazil";
BR.original_x=BR._x;
BR.original_y=BR._y;
BR.original_w=BR._width;
BR.original_h=BR._height;

BO.country_code="BY";
BO.object_name="BO";
BO.country_name="Belarus";
BO.original_x=BO._x;
BO.original_y=BO._y;
BO.original_w=BO._width;
BO.original_h=BO._height;

BN.country_code="BJ";
BN.object_name="BN";
BN.country_name="Benin";
BN.original_x=BN._x;
BN.original_y=BN._y;
BN.original_w=BN._width;
BN.original_h=BN._height;

BM.country_code="MM";
BM.object_name="BM";
BM.country_name="Myanmar";
BM.original_x=BM._x;
BM.original_y=BM._y;
BM.original_w=BM._width;
BM.original_h=BM._height;

BL.country_code="BO";
BL.object_name="BL";
BL.country_name="Bolivia";
BL.original_x=BL._x;
BL.original_y=BL._y;
BL.original_w=BL._width;
BL.original_h=BL._height;

BK.country_code="BA";
BK.object_name="BK";
BK.country_name="Bosnia and Herzegovina";
BK.original_x=BK._x;
BK.original_y=BK._y;
BK.original_w=BK._width;
BK.original_h=BK._height;

BH.country_code="BZ";
BH.object_name="BH";
BH.country_name="Belize";
BH.original_x=BH._x;
BH.original_y=BH._y;
BH.original_w=BH._width;
BH.original_h=BH._height;

BG.country_code="BD";
BG.object_name="BG";
BG.country_name="Bangladesh";
BG.original_x=BG._x;
BG.original_y=BG._y;
BG.original_w=BG._width;
BG.original_h=BG._height;

BE.country_code="BE";
BE.object_name="BE";
BE.country_name="Belgium";
BE.original_x=BE._x;
BE.original_y=BE._y;
BE.original_w=BE._width;
BE.original_h=BE._height;

BC.country_code="BW";
BC.object_name="BC";
BC.country_name="Botswana";
BC.original_x=BC._x;
BC.original_y=BC._y;
BC.original_w=BC._width;
BC.original_h=BC._height;

AY.country_code="AQ";
AY.object_name="AY";
AY.country_name="Antarctica";
AY.original_x=AY._x;
AY.original_y=AY._y;
AY.original_w=AY._width;
AY.original_h=AY._height;

AU.country_code="AT";
AU.object_name="AU";
AU.country_name="Austria";
AU.original_x=AU._x;
AU.original_y=AU._y;
AU.original_w=AU._width;
AU.original_h=AU._height;

AS.country_code="AU";
AS.object_name="AS";
AS.country_name="Australia";
AS.original_x=AS._x;
AS.original_y=AS._y;
AS.original_w=AS._width;
AS.original_h=AS._height;

AR.country_code="AR";
AR.object_name="AR";
AR.country_name="Argentina";
AR.original_x=AR._x;
AR.original_y=AR._y;
AR.original_w=AR._width;
AR.original_h=AR._height;

AO.country_code="AO";
AO.object_name="AO";
AO.country_name="Angola";
AO.original_x=AO._x;
AO.original_y=AO._y;
AO.original_w=AO._width;
AO.original_h=AO._height;

AM.country_code="AM";
AM.object_name="AM";
AM.country_name="Armenia";
AM.original_x=AM._x;
AM.original_y=AM._y;
AM.original_w=AM._width;
AM.original_h=AM._height;

AL.country_code="AL";
AL.object_name="AL";
AL.country_name="Albania";
AL.original_x=AL._x;
AL.original_y=AL._y;
AL.original_w=AL._width;
AL.original_h=AL._height;

AJ.country_code="AZ";
AJ.object_name="AJ";
AJ.country_name="Azerbaijan";
AJ.original_x=AJ._x;
AJ.original_y=AJ._y;
AJ.original_w=AJ._width;
AJ.original_h=AJ._height;

AG.country_code="DZ";
AG.object_name="AG";
AG.country_name="Algeria";
AG.original_x=AG._x;
AG.original_y=AG._y;
AG.original_w=AG._width;
AG.original_h=AG._height;

AF.country_code="AF";
AF.object_name="AF";
AF.country_name="Afghanistan";
AF.original_x=AF._x;
AF.original_y=AF._y;
AF.original_w=AF._width;
AF.original_h=AF._height;

TL.country_code="TL";
TL.country_name="East Timor";
TL.original_x=TL._x;
TL.original_y=TL._y;
TL.original_w=TL._width;
TL.original_h=TL._height;
