/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */

var MESSAGES = new Array();
MESSAGES['FIRST_PAGE_WARNING'] = 'You are already on the first page';
MESSAGES['INPUT_QUERY'] = 'You have to input a query';
MESSAGES['SELECT_SOURCE'] = 'You have to select at least one source to perform a search';
MESSAGES['LOADING_PROBLEM'] = 'There was a problem loading the content from the server. Please contact the RELEX-TARIQA team';
MESSAGES['ARTICLES_SAVED'] = 'The articles were saved into the briefcase. Anytime you want to review them, just access the Briefcase page';
MESSAGES['SELECT_REMOVE_SOURCE'] = 'You have to select at least one source from the list';
MESSAGES['SELECT_RESULTS_NUMBER'] = 'You have to select a number of results to display in each page';
MESSAGES['SELECT_FEED'] = 'You have to select a feed to perform the search';
MESSAGES['SELECT_CONTACT'] = 'You have to select at least one contact';
MESSAGES['SELECT_ARTICLE'] = 'You have to select at least an article';
MESSAGES['ERROR_FETCH_SEARCH_RESULTS'] = 'There was an error fetching the results for the search.';
MESSAGES['INPUT_SEARCH_CRITERIA'] = 'You have to input a search criteria';
MESSAGES['ARTICLES_SHARED'] = 'The articles were shared';
MESSAGES['SEARCH_SHARED'] = 'The search was shared';
MESSAGES['CLICK_CONTINENT'] = 'You have to first click on the continent so you see the lit of the countries to be able to drag a continent.';
MESSAGES['PROBLEM_REMOVING_FILTER'] = 'There was a problem removing the filter';
MESSAGES['SELECT_FOLDER'] = 'You have to select a folder in which to create the new folder. ';
MESSAGES['SELECT_ONLY_ONE_FOLDER'] = 'You have to select only one folder in which to create the new folder.';
MESSAGES['SELECT_FOLDER_NOT_FILE'] = 'You have to select a folder, not a file, in which the new folder will be created';
MESSAGES['ERROR_CREATING_FOLDER'] = 'There was an error creating the folder. Please contact the Tariqa Team (RELEX-TARIQA@ec.europa.eu';
MESSAGES['PROBLEM_REMOVING_ITEM'] = 'There was a problem moving the item. Please contact the RELEX TARIQA team. ';
MESSAGES['SELECT_FOLDER_TO_EMPTY'] = 'You have to select a folder or an item to empty it.';
MESSAGES['SELECT_ONLY_ONE_FOLDER_TO_EMPTY'] = 'You have to select only folders to empty';
MESSAGES['ERROR_ON_EMPTY'] = 'There was an error emptying one of the selected folders. Please contact the Tariqa Team (RELEX-TARIQA@ec.europa.eu)';
MESSAGES['SELECT_FOLDER_TO_DELETE'] = 'You have to select a folder or an item to delete it.';
MESSAGES['CANNOT_DELETE_LEVEL'] = 'You cannot delete the first level';
MESSAGES['SELECT_FOLDER_TO_RENAME'] = 'You have to select a folder or an item to rename it.';
MESSAGES['SELECT_ITEM_TO_RENAME'] = 'You have to select only one item to rename it.';
MESSAGES['CANNOT_RENAME_LEVEL'] = 'You cannot rename the first level';
MESSAGES['ERROR_ON_RENAME'] = 'There was an error renaming the folder. Please contact the Tariqa Team (RELEX-TARIQA@ec.europa.eu)';
MESSAGES['ERROR_ON_DELETE'] = 'There was an error emptying one of the selected folders. Please contact the Tariqa Team (RELEX-TARIQA@ec.europa.eu)';
MESSAGES['SELECT_ARTICLE_TO_SAVE'] = 'You have to select at least an article to send it to the briefcase';
MESSAGES['SEARCH_SAVED'] = 'The search has been saved to the briefcase. In order to perform the same search, please visit the Briefcase page';
MESSAGES['ALREADY_ON_FIRST_PAGE'] = 'You are on the first page. You cannot navigate on the previous page';
MESSAGES['ALREADY_ON_LAST_PAGE'] = 'You are on the last page. You cannot navigate on the next page';
MESSAGES['LAST_PAGE_WARNING'] = 'You are already on the last page';
MESSAGES['ERROR_NEWSTICKERS'] = 'There was a problem loading the newstickers. Please contact the tariqa team';
MESSAGES['NO_ANSWER'] = 'You did not input any answer, If you wish to cancel the dialog, please press "Cancel"';
MESSAGES['ERROR_COMUNICATING'] = 'There was a problem comunicating with the server. Please contact the Tariqa Team. ';
MESSAGES['ERROR_MOVE_ITEMS'] = 'You cannot move items into a file.';
MESSAGES['SEARCH_TITLE'] = 'Please insert the title of the search';
MESSAGES['SHARE_MESSAGE'] = 'Please input a message for the users that you are sharing with';
MESSAGES['SHARE_TITLE'] = 'Please input a title for the search';
MESSAGES['NEW_FOLDER_NAME'] = 'Please input the name of the new folder';
MESSAGES['NEW_ITEM_NAME'] = 'Please input the new name of the selected item: ';
MESSAGES['DELETE_SUBFOLDERS'] = 'Do you want to also delete the subfolders? (if you select "No", only the files will be deleted)';
MESSAGES['EMPTY_FOLDERS'] = 'Are you sure you want to empty the selected folder?';
MESSAGES['FOLDER_NOT_EMPTY'] = ' folder is not empty. Are you sure you want to delete it?';
MESSAGES['CLOSE_TAB'] = 'Are you sure you want to close this tab? It will also be deleted from your preferences. ';
MESSAGES['DELETE_SELECTED_ITEMS'] = 'Are you sure you want to delete the selected items?';
