<?php

	/**
	 * RSS Channel
	 * */
	class Channel {

		/**
		 * Channel's title
		 * @var string
		 * */
		public $title;

		/**
		 * Channel's description
		 * @var string
		 * */
		public $description;

		/**
		 * Link of the RSS channel
		 * @var string
		 * */
		public $link;

		/**
		 * List of Articles
		 * @var Article[]
		 * */
		public $articles;

		/**
		 * URL to the illustration picture
		 * @var string
		 * */
		public $image;

		/**
		 * Picture's title
		 * @var string
		 * */
		public $image_title;

		/**
		 * Picture's link
		 * @var string
		 * */
		public $image_link;
	}
?>