<?php

	class Cookie {
		
		/**
		 * @param string $name
		 * @param string $value
		 * @param int $expires
		 * @param string $domain
		 * @param string $path
		 * @param string $extra1
		 * @param string $extra2
		 * @return Cookie
		 * */
		public function __construct( $name = "", $value = "", $expires = false, $domain = false, $path = false, $extra1 = false, $extra2 = false ) {
			$this->name = $name;
			$this->value = $value;
			$this->expires = $expires;
			$this->domain = $domain;
			$this->path = $path;
			$this->extra1 = $extra1;
			$this->extra2 = $extra2;
		}
		
		/**
		 * @var string
		 * */
		public $name;
		
		/**
		 * @var string
		 * */
		public $value;
		
		/**
		 * @var string
		 * */
		public $domain;
		
		/**
		 * @var string
		 * */
		public $path;
		
		/**
		 * @var int
		 * */
		public $expires;
		
		/**
		 * @var string
		 * */
		public $extra1;
		
		/**
		 * @var string
		 * */
		public $extra2;
	}
?>