<?php
    /**
    * Containes information about an engine
    * @author Cosmin Popescu
    * @copyright  EUROPEAN COMMISSION, 2009
    * */
    
    class FactivaContentPart {
        /**
        * Represents the kind of content that is returned
        * @var string
        * */
        public $contentType;

        /**
        * The headline part to which the section belongs, such as an article, report, file, etc. 
        * @var FactivaPart[]
        * */
        public $parts;

        /**
        * Represents the primary reference for the content parts
        * @var string
        * */
        public $primaryReference;
    
    }

?>