<?php
    /**
    * Containes information about a newsletter category
    * @author Cosmin Popescu
    * @copyright  EUROPEAN COMMISSION, 2009
    * */
    
    class NewsletterCategory {
    	/**
    	 * The category identifier
    	 * @var int
    	 * @access public
    	*/
    	public $id;
    	
    	/**
    	 * The category name
    	 * @var string
    	 * @access public
    	*/
    	public $name;
    	
    	/**
    	 * The default template for the category
    	 * @var string
    	 * @access public
    	*/
    	public $template;
    	
    	/**
    	 * The order of the category
    	 * @var int
    	 * @access public
    	*/
    	public $order;
    }

?>