<?php
    /**
    * Containes information about an users cached in system
    * @author Cosmin Popescu
    * @copyright  EUROPEAN COMMISSION, 2009
    * */

    class SystemCacheUser {
        /**
        * The user identifier
        * @var string
        * */
        public $user_id;

        /**
         * The date and time at which the users was cached (UNIX timestamp)
         * @var int
        */
        public $creation_time;

        /**
         * The title from LDAP
         * @var string
        */
        public $ldap_title;

        /**
         * The first name from LDAP
         * @var string
        */
        public $ldap_firstname;

        /**
         * The last name from LDAP
         * @var string
        */
        public $ldap_lastname;

		/**
		 * The display name from LDAP
		 * @var string
		*/
		public $ldap_displayname;

		/**
		 * The department from LDAP
		 * @var string
		*/
		public $ldap_department;

		/**
		 * The e-mail from LDAP
		 * @var string
		*/
		public $ldap_email;

		/**
		 * The phone from LDAP
		 * @var string
		*/
		public $ldap_phone;

		/**
		 * The office attribute from LDAP
		 * @var string
		*/
		public $ldap_office;

		/**
		 * The group from LDAP
		 * @var string[]
		*/
		public $ldap_group;

    }

?>