<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */


	class CrisisCorrespondent {
		
		/**
		 * Delegation's 24/7 phone number
		 * @var string
		 * */
		public $phone;
		
		/**
		 * Delegation's 24/7 fax number
		 * @var string
		 * */
		public $fax;
		
		/**
		 * Delegation's Videoconference number
		 * @var string
		 * */
		public $videoconference;
		
		/**
		 * Name of the Crisis Correspondent
		 * @var string
		 * */
		public $cc_name;
		
		/**
		 * Crisis Correspondent's phone number
		 * @var string
		 * */
		public $cc_phone;
		
		/**
		 * Crisis Correspondent's mobilephone number
		 * @var string
		 * */
		public $cc_mobile;
		
		/**
		 * Name of the Head of Delegation
		 * @var string
		 * */
		public $hod_name;
		
		/**
		 * Head of Delegation's Phone number
		 * @var string
		 * */
		public $hod_phone;
		
		/**
		 * Head of Delegation's mobilephone number
		 * @var string
		 * */
		public $hod_mobile;
		
		/**
		 * Description of the permanence system
		 * @var string
		 * */
		public $description;
		
		/**
		 * Country details
		 * @var Country
		 * */
		public $country;
	}
?>