<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */


	/**
	 * Encloses a Virage Document found by searching the database
	 */
	class VirageDocumentFound {
	
		/**
		 * The document identifier
		 * @var int
		 */
		public $document_id;

		/**
		 * The weights of the current document within the search it has been found
		 * @var int
		 */
		public $weight = null;

		/**
		 * The words that link the document to the current search query
		 * @var string
		 */
		public $links = null;

		/**
		 * The document filename
		 * @var string
		 */
		public $fileName = null;

		/**
		 * The document content
		 * @var string
		 */
		public $documentContent = null;
	}

?>