<?php
	/**
	 * Class factiva_CompanyProfileEx
	 */
	class factiva_CompanyProfileEx {
	
		/**
		 * @var string $street1 
		 */
		public $street1;
	
		/**
		 * @var string $street2 
		 */
		public $street2;
	
		/**
		 * @var string $street3 
		 */
		public $street3;
	
		/**
		 * @var double $assetTurnover 
		 */
		public $assetTurnover;
	
		/**
		 * @var double $betaLast60Months 
		 */
		public $betaLast60Months;
	
		/**
		 * @var string $city 
		 */
		public $city;
	
		/**
		 * @var string $companyName 
		 */
		public $companyName;
	
		/**
		 * @var string $country 
		 */
		public $country;
	
		/**
		 * @var double $currentRatio 
		 */
		public $currentRatio;
	
		/**
		 * @var string $currency 
		 */
		public $currency;
	
		/**
		 * @var double $debtAssetsRatio 
		 */
		public $debtAssetsRatio;
	
		/**
		 * @var double $debtEquityRatio 
		 */
		public $debtEquityRatio;
	
		/**
		 * @var string $duns 
		 */
		public $duns;
	
		/**
		 * @var string $email 
		 */
		public $email;
	
		/**
		 * @var double $employeeGrowth 
		 */
		public $employeeGrowth;
	
		/**
		 * @var int $employees 
		 */
		public $employees;
	
		/**
		 * @var double $earningsPerShare 
		 */
		public $earningsPerShare;
	
		/**
		 * @var string $fax 
		 */
		public $fax;
	
		/**
		 * @var string $industryCode 
		 */
		public $industryCode;
	
		/**
		 * @var string $industryDescriptor 
		 */
		public $industryDescriptor;
	
		/**
		 * @var double $inventoryTurnover 
		 */
		public $inventoryTurnover;
	
		/**
		 * @var boolean $isNewsCoded 
		 */
		public $isNewsCoded;
	
		/**
		 * @var string $mainContactName 
		 */
		public $mainContactName;
	
		/**
		 * @var string $mainContactPhone 
		 */
		public $mainContactPhone;
	
		/**
		 * @var string $mainContactEmail 
		 */
		public $mainContactEmail;
	
		/**
		 * @var string $mainContactJobTitle 
		 */
		public $mainContactJobTitle;
	
		/**
		 * @var string $mainContactJobTitleID 
		 */
		public $mainContactJobTitleID;
	
		/**
		 * @var int $marketCapitalization 
		 */
		public $marketCapitalization;
	
		/**
		 * @var double $mostRecentClose 
		 */
		public $mostRecentClose;
	
		/**
		 * @var string $nace 
		 */
		public $nace;
	
		/**
		 * @var string $naceDescriptor 
		 */
		public $naceDescriptor;
	
		/**
		 * @var string $naics 
		 */
		public $naics;
	
		/**
		 * @var string $naicsDescriptor 
		 */
		public $naicsDescriptor;
	
		/**
		 * @var int $netIncome 
		 */
		public $netIncome;
	
		/**
		 * @var double $netProfitMargin 
		 */
		public $netProfitMargin;
	
		/**
		 * @var int $newsHits 
		 */
		public $newsHits;
	
		/**
		 * @var int $newsMentions 
		 */
		public $newsMentions;
	
		/**
		 * @var string $ownershipType (OwnershipType)
		 */
		public $ownershipType;
	
		/**
		 * @var double $peRatio 
		 */
		public $peRatio;
	
		/**
		 * @var string $phone 
		 */
		public $phone;
	
		/**
		 * @var string $zipPostalCode 
		 */
		public $zipPostalCode;
	
		/**
		 * @var string $providerID 
		 */
		public $providerID;
	
		/**
		 * @var string $providerName 
		 */
		public $providerName;
	
		/**
		 * @var string $providerCopyright 
		 */
		public $providerCopyright;
	
		/**
		 * @var string $providerTerms 
		 */
		public $providerTerms;
	
		/**
		 * @var string $primaryExchangeCode 
		 */
		public $primaryExchangeCode;
	
		/**
		 * @var string $primaryExchangeDescriptor 
		 */
		public $primaryExchangeDescriptor;
	
		/**
		 * @var string $regionCode 
		 */
		public $regionCode;
	
		/**
		 * @var string $regionDescriptor 
		 */
		public $regionDescriptor;
	
		/**
		 * @var double $returnOnAssets 
		 */
		public $returnOnAssets;
	
		/**
		 * @var double $returnOnEquity 
		 */
		public $returnOnEquity;
	
		/**
		 * @var string $ric 
		 */
		public $ric;
	
		/**
		 * @var int $sales 
		 */
		public $sales;
	
		/**
		 * @var double $salesGrowth 
		 */
		public $salesGrowth;
	
		/**
		 * @var string $sic 
		 */
		public $sic;
	
		/**
		 * @var string $sicDescriptor 
		 */
		public $sicDescriptor;
	
		/**
		 * @var string $stateProvinceCounty 
		 */
		public $stateProvinceCounty;
	
		/**
		 * @var string $sourceCode 
		 */
		public $sourceCode;
	
		/**
		 * @var string $sourceName 
		 */
		public $sourceName;
	
		/**
		 * @var string $djTicker 
		 */
		public $djTicker;
	
		/**
		 * @var int $totalAssets 
		 */
		public $totalAssets;
	
		/**
		 * @var int $totalLiabilities 
		 */
		public $totalLiabilities;
	
		/**
		 * @var double $trendLast52Weeks 
		 */
		public $trendLast52Weeks;
	
		/**
		 * @var string $companyCode 
		 */
		public $companyCode;
	
		/**
		 * @var string $lang 
		 */
		public $lang;
	
		/**
		 * @var string $lastUpdate 
		 */
		public $lastUpdate;
	}
?>