<?php
	/**
	 * Class factiva_KeyFinancialsSnapshot
	 */
	class factiva_KeyFinancialsSnapshot {
	
		/**
		 * @var double $earningsPerShare 
		 */
		public $earningsPerShare;
	
		/**
		 * @var int $employees 
		 */
		public $employees;
	
		/**
		 * @var string $employeesDataAccuracy (DataAccuracy)
		 */
		public $employeesDataAccuracy;
	
		/**
		 * @var double $employeeGrowth 
		 */
		public $employeeGrowth;
	
		/**
		 * @var double $marketCapitalization 
		 */
		public $marketCapitalization;
	
		/**
		 * @var double $netIncome 
		 */
		public $netIncome;
	
		/**
		 * @var double $netProfitMargin 
		 */
		public $netProfitMargin;
	
		/**
		 * @var factiva_CodeDescriptor $reportingCurrency 
		 */
		public $reportingCurrency;
	
		/**
		 * @var double $sales 
		 */
		public $sales;
	
		/**
		 * @var string $salesDataAccuracy (DataAccuracy)
		 */
		public $salesDataAccuracy;
	
		/**
		 * @var double $salesGrowth 
		 */
		public $salesGrowth;
	
		/**
		 * @var double $salesUSDollars 
		 */
		public $salesUSDollars;
	}
?>