<?php
	/**
	 * Class factiva_PerformUserRegistration
	 */
	class factiva_PerformUserRegistration {
	
		/**
		 * @var string $accountID 
		 */
		public $accountID;
	
		/**
		 * @var string $accountPassword 
		 */
		public $accountPassword;
	
		/**
		 * @var string $title (Title)
		 */
		public $title;
	
		/**
		 * @var string $firstName 
		 */
		public $firstName;
	
		/**
		 * @var string $lastName 
		 */
		public $lastName;
	
		/**
		 * @var string $suffix 
		 */
		public $suffix;
	
		/**
		 * @var string $jobTitle 
		 */
		public $jobTitle;
	
		/**
		 * @var string $departmentCategory (DepartmentCategory)
		 */
		public $departmentCategory;
	
		/**
		 * @var string $departmentDescription 
		 */
		public $departmentDescription;
	
		/**
		 * @var string $companyName 
		 */
		public $companyName;
	
		/**
		 * @var string $industryCode (RegistrationIndustryCode)
		 */
		public $industryCode;
	
		/**
		 * @var string $address1 
		 */
		public $address1;
	
		/**
		 * @var string $address2 
		 */
		public $address2;
	
		/**
		 * @var string $city 
		 */
		public $city;
	
		/**
		 * @var string $wardNameOrProvince 
		 */
		public $wardNameOrProvince;
	
		/**
		 * @var string $countryCode (CountryCode)
		 */
		public $countryCode;
	
		/**
		 * @var string $stateOrProvinceOrRegion (StateOrProvinceOrRegion)
		 */
		public $stateOrProvinceOrRegion;
	
		/**
		 * @var string $zipOrPostalCode 
		 */
		public $zipOrPostalCode;
	
		/**
		 * @var string $telephoneCountryCode 
		 */
		public $telephoneCountryCode;
	
		/**
		 * @var string $telephone 
		 */
		public $telephone;
	
		/**
		 * @var string $faxCountryCode 
		 */
		public $faxCountryCode;
	
		/**
		 * @var string $fax 
		 */
		public $fax;
	
		/**
		 * @var string $emailAddress 
		 */
		public $emailAddress;
	
		/**
		 * @var boolean $excludeFromMailings 
		 */
		public $excludeFromMailings;
	
		/**
		 * @var boolean $dnbFlag 
		 */
		public $dnbFlag;
	
		/**
		 * @var string $thirdPartyID 
		 */
		public $thirdPartyID;
	
		/**
		 * @var string $password 
		 */
		public $password;
	
		/**
		 * @var string $userID 
		 */
		public $userID;
	
		/**
		 * @var string $securityWord 
		 */
		public $securityWord;
	}
?>