<?php
	class WSKDateRestriction {
		/**
		 * Candidate documents must have been published on or after this date. The date format is:
		 * CCYY-MM-DD
		 * (GMT with a time zone offset - CCYY = year, MM = month [1-12], DD = day [01-31])
		 * @var string
		 * */
		public $startDate;
		
		/**
		 * Candidate documents must have been published on or before this date.
		 * CCYY-MM-DD
		 * (GMT with a time zone offset - CCYY = year, MM = month [1-12], DD = day [01-31])
		 * @var string
		 * */
		public $endDate;
		
		/**
		 * Constructs a WSKDateRestriction Object
		 * @param string $startDate
		 * @param string $endDate
		 * @see $startDate
		 * @see $endDate
		 * */
		public function __construct( $startDate = null, $endDate = null) {
			$this->startDate = $startDate;
			$this->endDate = $endDate;
		}
	}
?>