<?php
	/**
	 * Encloses zero or more documentContainer elements, each of which identifies a single document.
	 * @see WSKGetDocumentsByRangeResponse
	 * @see WSKSearchResponse
	 * */
	class WSKDocumentContainerList {
	
		/**
		 * Encloses the documentId and document elements which encapsulates the search/retrieve result, including a document excerpt and a unique document identifier.
		 * @var WSKDocumentContainer
		 * */
		public $documentContainer;
		
		/**
		 * Constructs a documentContainer object
		 * @param WSKDocumentContainer $documentContainer
		 * */
		public function __construct( $documentContainer = null ) {
			$this->documentContainer = null === $documentContainer ? array() : $documentContainer;
		}
	}
?>