<?php
	/**
	 * Encloses one or more sortStrategy  elements. 
	 * */
	class WSKSortStrategyList {
		/**
		 * Contains one or more sourceId elements which each identify a source to be searched. 
		 * @var WSKSortStrategy[]
		 * */
		public $sortStrategy;
		
		/**
		 * Constructs a WSKSortStrategyList object
		 * @param WSKSortStrategy[] $sortStrategy Contains one or more sourceId elements which each identify a source to be searched. 
		 * */
		public function __construct( $sortStrategy = null ) {
			$this->sortStrategy = null === $sortStrategy ? array() : $sortStrategy;
		}
	}
?>