<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */

    /**
    * Containes information about an engine
    * @author Cosmin Popescu
    * @copyright © EUROPEAN COMMISSION, 2009
    * */
    
    class FactivaPart {
        /**
        * Represents the general type of file format, such as a D&B Report or a full size picture
        * @var string
        * */
        public $type;

        /**
        * Represents the subtype (character data) for the specified type
        * @var string
        * */
        public $subType;

        /**
        * The mime type of the article part
        * @var string
        * */
        public $mimeType;

        /**
        * Represents a schema/server ID pair that is sufficient to address a data item. For example, a URL or local reference
        * @var string
        * */
        public $reference;

        /**
        * Represents the size of the items in octets
        * @var int
        * */
        public $size;
    
    }

?>