<?php
	/**
	 * Class factiva_CompanyInfoEx
	 */
	class factiva_CompanyInfoEx {
	
		/**
		 * @var factiva_Address $address 
		 */
		public $address;
	
		/**
		 * @var factiva_CodeDescriptor $companyCode 
		 */
		public $companyCode;
	
		/**
		 * @var factiva_CompanyStatusEx $companyStatus 
		 */
		public $companyStatus;
	
		/**
		 * @var string $companyType (CompanyType)
		 */
		public $companyType;
	
		/**
		 * @var string $duns 
		 */
		public $duns;
	
		/**
		 * @var string $djNewsCode 
		 */
		public $djNewsCode;
	
		/**
		 * @var string $djTicker 
		 */
		public $djTicker;
	
		/**
		 * @var factiva_PhoneNumber $fax 
		 */
		public $fax;
	
		/**
		 * @var factiva_CodeDescriptor $parentCode 
		 */
		public $parentCode;
	
		/**
		 * @var factiva_CodeDescriptor $primaryIndustryCode 
		 */
		public $primaryIndustryCode;
	
		/**
		 * @var factiva_RegionCodeDescriptor $primaryRegionCode 
		 */
		public $primaryRegionCode;
	
		/**
		 * @var string $primaryRIC 
		 */
		public $primaryRIC;
	
		/**
		 * @var factiva_Descriptor $searchAlias 
		 */
		public $searchAlias;
	
		/**
		 * @var factiva_CodeDescriptor $secondaryIndustryCode 
		 */
		public $secondaryIndustryCode;
	
		/**
		 * @var factiva_RegionCodeDescriptor $secondaryRegionCode 
		 */
		public $secondaryRegionCode;
	
		/**
		 * @var factiva_PhoneNumber $telephone 
		 */
		public $telephone;
	
		/**
		 * @var factiva_IndustryCodeDescriptor $thirdPartyIndustryCode 
		 */
		public $thirdPartyIndustryCode;
	
		/**
		 * @var factiva_CodeDescriptor $ultimateParentCode 
		 */
		public $ultimateParentCode;
	
		/**
		 * @var factiva_WebSite $webSite 
		 */
		public $webSite;
	}
?>