<?php
	/**
	 * Class factiva_DNBCompanyProfile
	 */
	class factiva_DNBCompanyProfile {
	
		/**
		 * @var factiva_Address $address 
		 */
		public $address;
	
		/**
		 * @var factiva_DNBCompany $domesticUltimate 
		 */
		public $domesticUltimate;
	
		/**
		 * @var factiva_DNBCompany $duns 
		 */
		public $duns;
	
		/**
		 * @var factiva_PhoneNumber $faxNumber 
		 */
		public $faxNumber;
	
		/**
		 * @var factiva_DNBCompany $globalUltimate 
		 */
		public $globalUltimate;
	
		/**
		 * @var string $hierarchyCode 
		 */
		public $hierarchyCode;
	
		/**
		 * @var string $hierarchyDesignation 
		 */
		public $hierarchyDesignation;
	
		/**
		 * @var factiva_IndustryCodeDescriptor $industryCode 
		 */
		public $industryCode;
	
		/**
		 * @var factiva_DNBKeyFinancialsSnapshot $keyFinancials 
		 */
		public $keyFinancials;
	
		/**
		 * @var int $numberOfBranches 
		 */
		public $numberOfBranches;
	
		/**
		 * @var int $numberOfFamilyMembers 
		 */
		public $numberOfFamilyMembers;
	
		/**
		 * @var int $numberOfImmediateChildren 
		 */
		public $numberOfImmediateChildren;
	
		/**
		 * @var int $numberOfImmediateBranches 
		 */
		public $numberOfImmediateBranches;
	
		/**
		 * @var factiva_DNBCompany $parentHeadQuarters 
		 */
		public $parentHeadQuarters;
	
		/**
		 * @var factiva_PhoneNumber $phoneNumber 
		 */
		public $phoneNumber;
	
		/**
		 * @var factiva_RegionCodeDescriptor $countryRegionCode 
		 */
		public $countryRegionCode;
	
		/**
		 * @var factiva_RegionCodeDescriptor $stateRegionCode 
		 */
		public $stateRegionCode;
	
		/**
		 * @var string $url 
		 */
		public $url;
	}
?>