<?php
	/**
	 * Class factiva_InstrumentInfo
	 */
	class factiva_InstrumentInfo {
	
		/**
		 * @var factiva_CodeDescriptor $companyCode 
		 */
		public $companyCode;
	
		/**
		 * @var string $djTicker 
		 */
		public $djTicker;
	
		/**
		 * @var factiva_CodeDescriptor $exchangeCode 
		 */
		public $exchangeCode;
	
		/**
		 * @var factiva_CodeDescriptor $index 
		 */
		public $index;
	
		/**
		 * @var string $instrumentName 
		 */
		public $instrumentName;
	
		/**
		 * @var string $instrumentStatus (InstrumentStatus)
		 */
		public $instrumentStatus;
	
		/**
		 * @var string $instrumentType (InstrumentType)
		 */
		public $instrumentType;
	
		/**
		 * @var boolean $isPrimaryInstrument 
		 */
		public $isPrimaryInstrument;
	
		/**
		 * @var factiva_CodeDescriptor $issuingOrganisationCode 
		 */
		public $issuingOrganisationCode;
	
		/**
		 * @var string $ric 
		 */
		public $ric;
	}
?>