<?php
	/**
	 * Encloses the Shepard's Signal information if requested.
	 * @see documentContainer
	 * */
	class WSKShepardsSignal {
		
		/**
		 * An enumerated indicator for the Shepard Signal type.
		 * @var string
		 * @see stSignalBlue
		 * @see stSignalGreen
		 * @see stSignalLightBLue
		 * @see stSignalNull
		 * @see stSignalRed
		 * @see stSignalUnavailable
		 * @see stSignalYellow
		 * @see stSignalOrange
		 * @see stSignalUnknown
		 * */
		public $signalType;
		
		/**
		 * An enumerated indicator for the Shepard Signal type.
		 * @see $signalType
		 * */
		const stSignalBlue = "SIGNAL_BLUE";
		
		/**
		 * An enumerated indicator for the Shepard Signal type.
		 * @see $signalType
		 * */
		const stSignalGreen = "SIGNAL_GREEN";
		
		/**
		 * An enumerated indicator for the Shepard Signal type.
		 * @see $signalType
		 * */
		const stSignalLightBlue = "SIGNAL_LIGHT_BLUE";
		
		/**
		 * An enumerated indicator for the Shepard Signal type.
		 * @see $signalType
		 * */
		const stSignalNull = "SIGNAL_NULL";
		
		/**
		 * An enumerated indicator for the Shepard Signal type.
		 * @see $signalType
		 * */
		const stSignalRed = "SIGNAL_RED";
		
		/**
		 * An enumerated indicator for the Shepard Signal type.
		 * @see $signalType
		 * */
		const stSignalUnavailable = "SIGNAL_UNAVAILABLE";
		
		/**
		 * An enumerated indicator for the Shepard Signal type.
		 * @see $signalType
		 * */
		const stSignalYellow = "SIGNAL_YELLOW";
		
		/**
		 * An enumerated indicator for the Shepard Signal type.
		 * @see $signalType
		 * */
		const stSignalOrange = "SIGNAL_ORANGE";
		
		/**
		 * An enumerated indicator for the Shepard Signal type.
		 * @see $signalType
		 * */
		const stUnknown = "UNKNOWN";
		
		/**
		 * The text of the signal.
		 * @var string
		 * */
		public $signalText;
		
		/**
		 * Constructs a shepardsSignalobject
		 * @param string $signalType An enumerated indicator for the Shepard Signal type.
		 * @param string $signalText The text of the signal.
		 * */
		public function __construct( $signalType, $signalText ) {
			$this->signalType = $signalType;
			$this->signalText = $signalText;
		}
	}
?>