/*
* mUDFDownloader - Copyright 2010 the European Commission
* 
* Licensed under the EUPL (the Licence");
* You may not use this work except in compliance with the Licence.
* You may obtain a copy of the Licence at:
* http://ec.europa.eu/idabc/eupl.html
* 
* Unless required by applicable law or agreed to in
  writing, software distributed under the Licence is
  distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
  express or implied.
* See the Licence for the specific language governing
  permissions and limitations under the Licence.
*
* The software binaries include MySQL-C binaries (compiled from the un-modified
  MySQL-C source). 
* MySQL-C is copyrighted by Oracle Corp. and licensed under the Gnu GPL v 2.
*
*/
/*
 * Author: Pascal Havelange (Pascal.HAVELANGE@ec.europa.eu)
 */

#ifndef __METANULL_UDF_MDOWNLAODERSERVICE_H__
#define __METANULL_UDF_MDOWNLAODERSERVICE_H__

my_bool mDownloader_init(UDF_INIT *initid, UDF_ARGS *args, char *message);
void mDownloader_deinit(UDF_INIT *initid);
char * mDownloader(UDF_INIT *initid, UDF_ARGS *args, char *result, unsigned long *length, char *null_value, char *error);

#endif // ifdef __METANULL_UDF_MDOWNLAODERSERVICE_H__