/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */

function initJQueryContinent(id, types){
    /*if (!_isIE){
        $("#continent_" + id)
        .jstree({
                'types': types,
                plugins: ['themes', 'html_data', 'types', 'cookies']
        }
        );
    }
    else {*/
        $("#continent_" + id)
        .jstree({
            'html_data': {
                'ajax':{
                    'url': URL(TARIQA_URL, 'module=ajax&action=searchCountriesByContinent&no_root_node=&content_type=text/html&init=' + id),
                    'data': function(n){
                        return {folder_id: n.attr ? n.attr('id') : 'null'};
                    },
                    'complete': function(obj, resp){
			var lis = (_isIE ? $('#continent_' + id + ' > ul > li > ul > li') : $('#continent_' + id + ' > ul > li'));
                        var cid;
                        if (lis.length > 1){
                            for (var i = 0; i < lis.length; i++){
                                cid = lis[i].getAttribute('id');
                                if (cid.length == 2){
                                    $('#' + cid + ' > a > ins').attr('style', 'background-image: url(' + URL(TARIQA_URL + '/themes/default/images/countries/' + cid.toLowerCase() + '.png' + ') !important'));
                                }
                            }
                        }
                    }

                }
            },
            'types':{
                'valid_children': ['continent', 'country'],
                'types':{
                    'continent': {
                        'valid_children': ['country']
                    },
                    'country': {
                        'max_children': 0,
                        'icon': {
                            'image': 'themes/default/images/iconText.gif'
                        }
                    }
                }
            },
            plugins: ['themes', 'html_data', 'types']
        }
        );
    //}
}

function searchContinent(id){
    alert(id);
}

function initJQueryUI(type){

	if (typeof(type) == 'undefined' || type == null) type = 0;

	if (type == 0){
		$('#country_search_id').autocomplete({
			minLength: 2,
			source: URL(TARIQA_URL, 'module=ajax&action=searchCountry&content_type=text&no_root_node'),
			select: function(event, ui){
				js_open(URL(TARIQA_URL, 'module=countries&country_id=' + ui.item.id), '_self', 'get');
			}
		});
	}
	else if (type == 1){
		$tabs = $('#wiki_tab').tabs({
		});
		initNewsJQueryUI();
	}
}

function displayWikipediaData(response){
	var r = new multiAjaxResponse(response);
	if (r.http_code == 200){
		var xp = new xpath(r.content);
		var result = xp.doXPath('//html');
		if (result.firstNode()){
			$('#tab-wikipedia')[0].innerHTML = myDecode(firstChildData(result.firstNode()));
			$("#wiki_toc").treeview({
				animated:"fast",
				persist: "cookie"
			});

			$('#right_column')[0].style.height = $('#left_column').innerHeight() + "px";
			$('#div_toc')[0].style.height = ($('#left_column').innerHeight() - 20) + "px";
			$('#div_toc')[0].style.overflow = 'auto';
		}
		else {
			result = xp.doXPath('//error');
			if (result.firstNode()){
				tariqaAlert(result.firstNode().firstChild.data, 'Error', TYPE_ALERT_ERROR);
			}
			else {
				tariqaAlert(r.content, 'Warning', TYPE_ALERT_WARNING);
			}
		}
	}
	else {
		alert(r.error, 'Error', TYPE_ALERT_ERROR);
	}
}
