/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */

function test(){
	var urls = new Array();
	var delim = '###';
	urls.push('http://www.apple.com' + '###yes' + '###get');
	urls.push('http://www.yahoo.com' + '###yes' + '###get');
	urls.push(URL(TARIQA_URL, 'page=ajax2&action=fetchNews&query_id=173&template=xhtml-test') + '###no' + '###get');
	urls.push(URL(TARIQA_URL, 'page=ajax2&action=fetchNews&query_id=174&template=xhtml-test') + '###no' + '###get');
	urls.push(URL(TARIQA_URL, 'page=ajax2&action=fetchNews&query_id=175&template=xhtml-test') + '###no' + '###get');
	urls.push(URL(TARIQA_URL, 'page=ajax2&action=fetchNews&query_id=176&template=xhtml-test') + '###no' + '###get');
	urls.push(URL(TARIQA_URL, 'page=ajax2&action=fetchNews&query_id=177&template=xhtml-test') + '###no' + '###get');
	urls.push(URL(TARIQA_URL, 'page=ajax2&action=fetchNews&query_id=178&template=xhtml-test') + '###no' + '###get');
	urls.push(URL(TARIQA_URL, 'page=ajax2&action=fetchNews&query_id=179&template=xhtml-test') + '###no' + '###get');
	urls.push(URL(TARIQA_URL, 'page=ajax2&action=fetchNews&query_id=180&template=xhtml-test') + '###no' + '###get');

	sendURLS(urls, '###', testGetResult, null, noResults);
}

function testGetResult(response){
	var width, height;
	if (_isIE){
		width = document.body.clientWidth;
		height = document.body.clientHeight;
	}
	else {
		width = window.innerWidth;
		height = window.innerHeight;
	}

	var id = null;
	var text = null;
	var content = null;
	var http_code = null;
	for (var i = 0; i < response.childNodes.length; i++){
		var node = response.childNodes[i];
		if (node.nodeName == 'url'){
			id = node.firstChild.data;
			text = node.firstChild.data;
		}
		if (node.nodeName == 'call_content'){
			content = unescape(node.firstChild.data);
		}
		if (node.nodeName == 'http_code') {
			http_code = node.firstChild.nodeValue;
		}
	}
	var w = TESTSPACE.createWindow(id, Math.floor(Math.random() * ((width - 700) / 2)), Math.floor(Math.random() * ((height - 300) / 2)), 700, 300);
	w.setText(text);
	if (http_code == 200){
		w.attachHTMLString(content);
	}
	else {
		w.attachHTMLString('Error - timeout');
	}
}

function noResults(){
	alert('No more results');
}

function testSendToBriefcase(){
	sendArticleToBriefcase();
}

function testNewAjax(){
	sendAjax(URL('index.php', 'module=ajax&action=test_method'), 'post', onTestNewAjaxFinish, null, 'param=testing');
}

function onTestNewAjaxFinish(response){
	/*var result = document.evaluate('//ajax_result', response, null, XPathResult.UNORDERED_NODE_ITERATOR_TYPE, null);
	alert(result.resultType);
	var iterator = result.iterateNext();
	if (iterator){
		alert(iterator.firstChild.data);
	}*/
	var expression = '//ajax_result[2]';
	/*var xslText = "<xsl:stylesheet version=\"1.0\" xmlns:xsl=\"http://www.w3.org/1999/XSL/Transform\">" +
		"<xsl:output method=\"text\"/><xsl:template match=\"*\"><xsl:for-each select=\"" + expression + "\"><xsl:value-of select=\".\"/> | </xsl:for-each>" +
		"</xsl:template></xsl:stylesheet>";
	var xsl = new ActiveXObject("Msxml2.DOMDocument");
	xsl.loadXML(xslText);
	//var doc = new ActiveXObject("Msxml2.DOMDocument");
	//doc.loadXML(response);*/
	//var result = response.selectNodes(expression);
	//alert(result.item.length);

	var xp = new xpath(response);
	xp.doXPath(expression);
	var node;
	alert(xp.length);
	while (node = xp.nextNode()){
		alert(node.firstChild.data);
	}

	xp.doXPath('//ajax_result[1]');
	alert(xp.length);
	while (node = xp.nextNode()){
		alert(node.firstChild.data);
	}
}

function testMultiAjax(){
	var urls = new Array();
	urls.push(new multiAjaxURL(URL('http://d02di0414709:8086', 'action=fetchNews&query_id=301')));
	urls.push(new multiAjaxURL(URL('http://d02di0414709:8086', 'action=fetchNews&query_id=302')));

	sendURLS(urls, testMultiAjaxResponse, function(){document.getElementById("loading").style.display = "block";}, function(){document.getElementById("loading").style.display = "none";});

	/*var t = new xpath("<test><test2>t</test2></test>");
	var result = t.doXPath('//test2');
	alert(result.firstNode().firstChild.data);*/
}

function testMultiAjaxResponse(_response){
	var response = new multiAjaxResponse(_response);
	if (response.http_code == 200){
		var xp = new xpath(response.content);
		var result = xp.doXPath('//query_id');
		var query_id = result.firstNode();

		if (query_id){
			query_id = query_id.firstChild.data;
			result = xp.doXPath('//news');
			var news = result.firstNode();
			if (news){
				news = news.firstChild.data;
				document.getElementById(query_id).innerHTML = news;
			}
		}
	}
}

var RESPONSE = 0;

function testSearch(){
	var query = "title(obama)";

	var urls = new Array();

	//urls.push(new multiAjaxURL(URL('http://d02di0414709:8086', 'action=searchNews&query=' + escape(query) + '&start_date=1264460400&end_date=1264584873&engine_id=Factiva&source_id=null')));

	var search = new searchObject(query, 2);
	search.setStartDate(1264460400);
	search.setEndDate(1264584873);

	urls.push(new multiAjaxURL(search.getSearchURL()));
	search.setSourceId(4);
	urls.push(new multiAjaxURL(search.getSearchURL()));
	search.setSourceId(101);
	urls.push(new multiAjaxURL(search.getSearchURL()));
	search.setSourceId(220);
	urls.push(new multiAjaxURL(search.getSearchURL()));
	search.setSourceId(5);
	urls.push(new multiAjaxURL(search.getSearchURL()));
	search.setSourceId(10);
	search.setQuery("France 24");
	urls.push(new multiAjaxURL(search.getSearchURL()));

	/*urls.push(new multiAjaxURL(URL('http://d02di0414709:8086', 'action=searchNews&query=' + escape(query) + '&start_date=1264460400&end_date=1264584873&engine_id=LexisNexis&source_id=2')));
	urls.push(new multiAjaxURL(URL('http://d02di0414709:8086', 'action=searchNews&query=' + escape(query) + '&start_date=1264460400&end_date=1264584873&engine_id=Google&source_id=4')));
	urls.push(new multiAjaxURL(URL('http://d02di0414709:8086', 'action=searchNews&query=' + escape(query) + '&start_date=1264460400&end_date=1264584873&engine_id=GoogleNews&source_id=null')));
	urls.push(new multiAjaxURL(URL('http://d02di0414709:8086', 'action=searchNews&query=' + escape(query) + '&start_date=1264460400&end_date=1264584873&engine_id=LexisNexis&source_id=220')));
	urls.push(new multiAjaxURL(URL('http://d02di0414709:8086', 'action=searchNews&query=' + escape(query) + '&start_date=1264460400&end_date=1264584873&engine_id=LatestNews&source_id=null')));

	urls.push(new multiAjaxURL(URL('http://d02di0414709:8086', 'action=searchNews&query=' + escape(query) + '&start_date=1264460400&end_date=1264584873&engine_id=LexisNexis&source_id=2')));
	urls.push(new multiAjaxURL(URL('http://d02di0414709:8086', 'action=searchNews&query=' + escape(query) + '&start_date=1264460400&end_date=1264584873&engine_id=Google&source_id=4')));
	urls.push(new multiAjaxURL(URL('http://d02di0414709:8086', 'action=searchNews&query=' + escape(query) + '&start_date=1264460400&end_date=1264584873&engine_id=GoogleNews&source_id=null')));
	urls.push(new multiAjaxURL(URL('http://d02di0414709:8086', 'action=searchNews&query=' + escape(query) + '&start_date=1264460400&end_date=1264584873&engine_id=LexisNexis&source_id=220')));
	urls.push(new multiAjaxURL(URL('http://d02di0414709:8086', 'action=searchNews&query=' + escape(query) + '&start_date=1264460400&end_date=1264584873&engine_id=LatestNews&source_id=null')));

	urls.push(new multiAjaxURL(URL('http://d02di0414709:8086', 'action=searchNews&query=' + escape(query) + '&start_date=1264460400&end_date=1264584873&engine_id=LexisNexis&source_id=2')));
	urls.push(new multiAjaxURL(URL('http://d02di0414709:8086', 'action=searchNews&query=' + escape(query) + '&start_date=1264460400&end_date=1264584873&engine_id=Google&source_id=4')));
	urls.push(new multiAjaxURL(URL('http://d02di0414709:8086', 'action=searchNews&query=' + escape(query) + '&start_date=1264460400&end_date=1264584873&engine_id=GoogleNews&source_id=null')));
	urls.push(new multiAjaxURL(URL('http://d02di0414709:8086', 'action=searchNews&query=' + escape(query) + '&start_date=1264460400&end_date=1264584873&engine_id=LexisNexis&source_id=220')));
	urls.push(new multiAjaxURL(URL('http://d02di0414709:8086', 'action=searchNews&query=' + escape(query) + '&start_date=1264460400&end_date=1264584873&engine_id=LatestNews&source_id=null')));

	urls.push(new multiAjaxURL(URL('http://d02di0414709:8086', 'action=searchNews&query=' + escape(query) + '&start_date=1264460400&end_date=1264584873&engine_id=LexisNexis&source_id=2')));
	urls.push(new multiAjaxURL(URL('http://d02di0414709:8086', 'action=searchNews&query=' + escape(query) + '&start_date=1264460400&end_date=1264584873&engine_id=Google&source_id=4')));
	urls.push(new multiAjaxURL(URL('http://d02di0414709:8086', 'action=searchNews&query=' + escape(query) + '&start_date=1264460400&end_date=1264584873&engine_id=GoogleNews&source_id=null')));
	urls.push(new multiAjaxURL(URL('http://d02di0414709:8086', 'action=searchNews&query=' + escape(query) + '&start_date=1264460400&end_date=1264584873&engine_id=LexisNexis&source_id=220')));
	urls.push(new multiAjaxURL(URL('http://d02di0414709:8086', 'action=searchNews&query=' + escape(query) + '&start_date=1264460400&end_date=1264584873&engine_id=LatestNews&source_id=null')));*/

	sendURLS(urls, testGetNews, function(){document.getElementById("loading").style.display = "block";}, function(){document.getElementById("loading").style.display = "none";});
}

function testGetNews(_response){
	var response = new multiAjaxResponse(_response);
	if (response.http_code == 200){
		var xp = new xpath(response.content);
		var result = xp.doXPath('//error');
		var error = result.firstNode();
		if (error){
			alert(error.firstChild.data);
		}
		else {
			var result = xp.doXPath('//articles');
			var news = result.firstNode();
			if (news){
				news = news.firstChild.data;
				RESPONSE++;
				if (RESPONSE >= 6) RESPONSE = 6;
				document.getElementById("results_" + RESPONSE).innerHTML += news;
			}
			else {
				//alert('test');
			}
		}
	}
	else alert(response.error);
}

