<?php

	class Delegation {
		
		/**
		 * Delegation ID
		 * @var int
		 * */
		public $id;
		
		/**
		 * Parent Delegation ID (a value of -1 indicates that the delegation does not have a parent)
		 * @var int
		 * */
		public $parent_id;
		
		/**
		 * Organisation ID
		 * @var int
		 * */
		public $org_id;
		
		/**
		 * COMREF Country code
		 * @var string
		 * */
		public $country_code;
		
		/**
		 * Type of delegation
		 * @var string
		 * */
		public $type_of_delegation;
		
		/**
		 * Type of delegation (short form)
		 * @var string
		 * */
		public $type_of_delegation_short;
		
		/**
		 * Name of the delegation
		 * @var string
		 * */
		public $name;
		
		/**
		 * Country details
		 * @var Country
		 * */
		public $country;
		
		/**
		 * City Name
		 * @var string
		 * */
		public $city_name;
		
		/**
		 * Administrative address
		 * @var string
		 * */
		public $administrative_address;
		
		/**
		 * Postal address
		 * @var string
		 * */
		public $postal_address;
		
		/**
		 * Jetlag
		 * @var string
		 * */
		public $GMT;
		
		/**
		 * Opening Hours
		 * @var string
		 * */
		public $opening_hours;
		
		/**
		 * Contact Details
		 * @var Pair[]
		 * */
		public $contacts;
		
		/**
		 * List of Head of Delegation and Deputy Head of Delegation
		 * @var DelegationPersonnel[]
		 * */
		public $hod;
		
	}
?>