<?php
    /**
    * Containes information about an engine
    * @author Cosmin Popescu
    * @copyright  EUROPEAN COMMISSION, 2009
    * */
    
    class FactivaPart {
        /**
        * Represents the general type of file format, such as a D&B Report or a full size picture
        * @var string
        * */
        public $type;

        /**
        * Represents the subtype (character data) for the specified type
        * @var string
        * */
        public $subType;

        /**
        * The mime type of the article part
        * @var string
        * */
        public $mimeType;

        /**
        * Represents a schema/server ID pair that is sufficient to address a data item. For example, a URL or local reference
        * @var string
        * */
        public $reference;

        /**
        * Represents the size of the items in octets
        * @var int
        * */
        public $size;
    
    }

?>