<?php

	class GoogleSearchResult {
		
		public function __construct(){
			return null;
		}
		
		/**
		 * @var string
		 * */
		public $GsearchResultClass;
		
		/**
		 * @var string
		 * */
		public $content;
		
		/**
		 * @var string
		 * */
		public $unescapedUrl;
		
		/**
		 * @var string
		 * */
		public $url;
		
		/**
		 * @var string
		 * */
		public $title;
		
		/**
		 * @var string
		 * */
		public $titleNoFormatting;
		
		/**
		 * @var Pair[] 
		 * */
		public $specific_properties = array();
		
		/**
		 * @param string $key
		 * @param string $value
		 * */
		public function __set($key, $value){
			$this->specific_properties[] = new Pair($key, $value);
		}
		
		/**
		 * @param string $key
		 * */
		public function __get($key){
			foreach($this->specific_properties as $pair)
				if ($pair->key == $key) return $pair->value;
			return null;
		}
		
		/**
		 * @param string $key
		 * */
		public function __isset($key){
			foreach($this->specific_properties as $pair)
				if ($pair->key == $key) return true;
			return false;
		}
		
	}
?>