<?php

    /**
     * Contains the response of a BrowseSources operation
     * */
    class LexisNexisBrowseSourcesResponse {
        
        /**
         * ID of the parent folder (if any)
         * @var int
         * */
        public $parent_folder_id;
        
		/**
		 * The list of Sources
		 * @var LexisNexisSource[]
		 * */
		public $sources;
		
		/**
		 * The List of subfolders
		 * @var LexisNexisFolder[]
		 * */
		public $folders;
        
        /**
         * Default constructor
         * @param int $parent_folder_id ID of the parent folder [OPTIONAL]
         * @param LexisNexisSource[] List of sources [OPTIONAL]
         * @param LexisNexisFolders[] List of subfolders [OPTIONAL]
         * @return void
         * */
        public function __construct( $parent_folder_id = null, $sources = null, $folders = null ) {
			$this->parent_folder_id = $parent_folder_id;
            $this->sources = $sources;
            $this->folders = $folders;
        }
    }
?>