<?php

    /**
     * Describes a LexisNexis source
     * */
    class LexisNexisSource {
        
        /**
         * Source ID
         * @var int
         * */
        public $id;
        
        /**
         * Source Name
         * @var string
         * */
        public $name;
        
        /**
         * List of combinability strings for this source
         * @var string[]
         * */
        public $combinability;
        
        /**
         * Default constructor
         * @param int $id Source ID
         * @param string $name Source Name
         * @param string[] $combinability Combinability List
         * @return void
         * */
        public function __construct( $id = null, $name = null, $combinability = null) {
            $this->id = $id;
            $this->name = $name;
            $this->combinability = $combinability;
        }
    }
?>