<?php

	/**
	 * Holds the detail of a Tarîqa newsletter article
	 * */
	class NewsletterArticle {
		
		/**
		 * Article Id
		 * @var int
		 * */
		public $id;
		
		/**
		 * Section name
		 * @var string
		 * */
		public $section;
		
		/**
		 * Article's Headline
		 * @var string
		 * */
		public $headline;
		
		/**
		 * Article's body (HTML)
		 * @var string
		 * */
		public $body;
		
		/**
		 * Article's URL
		 * @var string
		 * */
		public $url;
		
		/**
		 * Article's order of appearance
		 * @var int
		 * */
		public $order;
	}
?>