<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */


	/**
	 * Object returned by OxfordAnalyticaSimpleSearch and OxfordAnalyticaDetailedSearch
	 * @see Tariqa::OxfordAnalyticaSimpleSearch()
	 * @see Tariqa::OxfordAnalyticaDetailedSearch()
	 * */
	class OxfordAnalyticaSearchResult {
		
		/**
		 * Total number of matches
		 * @var int
		 * */
		public $totalNumberOfMatches;
		
		/**
		 * Note that the Navigation elements are there to be presented to users, not to be reused by programs using the API – these can navigate by simple incrementing of the pageNo variable.
		 * @var OxfordAnalyticaNavigation
		 * */
		public $navigation;
		
		/**
		 * Items returned as part of the search
		 * @var OxfordAnalyticaHitItem[]
		 * */
		public $hitItem;
		
		/**
		 * Default constructor
		 * @return OxfordAnalyticaSearchResult
		 * */
		public function __construct() {
			$this->navigation = new OxfordAnalyticaNavigation();
			$this->hitItem = array();
		}
	}
	
?>