<?php
	/**
	 * Class factiva_EUROIncomeStatementItems
	 */
	class factiva_EUROIncomeStatementItems {
	
		/**
		 * @var double $totalIncome 
		 */
		public $totalIncome;
	
		/**
		 * @var double $rawMaterialsAndServices 
		 */
		public $rawMaterialsAndServices;
	
		/**
		 * @var double $valueAddedNetSales 
		 */
		public $valueAddedNetSales;
	
		/**
		 * @var double $netSales 
		 */
		public $netSales;
	
		/**
		 * @var double $exports 
		 */
		public $exports;
	
		/**
		 * @var double $openingStockLevel 
		 */
		public $openingStockLevel;
	
		/**
		 * @var double $closingStockLevel 
		 */
		public $closingStockLevel;
	
		/**
		 * @var double $changeInStock 
		 */
		public $changeInStock;
	
		/**
		 * @var double $unfinishedWorkInProgress 
		 */
		public $unfinishedWorkInProgress;
	
		/**
		 * @var double $ownWorkCapitalised 
		 */
		public $ownWorkCapitalised;
	
		/**
		 * @var double $subsidiesForOperatingCosts 
		 */
		public $subsidiesForOperatingCosts;
	
		/**
		 * @var double $supplementaryOperatingIncome 
		 */
		public $supplementaryOperatingIncome;
	
		/**
		 * @var double $buildingConstruction 
		 */
		public $buildingConstruction;
	
		/**
		 * @var double $otherOperatingIncome 
		 */
		public $otherOperatingIncome;
	
		/**
		 * @var double $initialStockLevel 
		 */
		public $initialStockLevel;
	
		/**
		 * @var double $initialRawMaterialsLevel 
		 */
		public $initialRawMaterialsLevel;
	
		/**
		 * @var double $initialLevelOfSemiFinishedGoods 
		 */
		public $initialLevelOfSemiFinishedGoods;
	
		/**
		 * @var double $stockPurchases 
		 */
		public $stockPurchases;
	
		/**
		 * @var double $rawMaterialsPurchases 
		 */
		public $rawMaterialsPurchases;
	
		/**
		 * @var double $semi-FinishedGoodsPurchases 
		 */
		public $semi-FinishedGoodsPurchases;
	
		/**
		 * @var double $finalStockLevel 
		 */
		public $finalStockLevel;
	
		/**
		 * @var double $finalRawMaterialsLevel 
		 */
		public $finalRawMaterialsLevel;
	
		/**
		 * @var double $finalSemiFinishedGoodsLevel 
		 */
		public $finalSemiFinishedGoodsLevel;
	
		/**
		 * @var double $rawMaterialsAndConsumablesEmployed 
		 */
		public $rawMaterialsAndConsumablesEmployed;
	
		/**
		 * @var double $otherExternalCharges 
		 */
		public $otherExternalCharges;
	
		/**
		 * @var double $costOfGoodsSold 
		 */
		public $costOfGoodsSold;
	
		/**
		 * @var double $costOfSales 
		 */
		public $costOfSales;
	
		/**
		 * @var double $grossProfit 
		 */
		public $grossProfit;
	
		/**
		 * @var double $costOfRawMaterials 
		 */
		public $costOfRawMaterials;
	
		/**
		 * @var double $royaltyPaymentsDue 
		 */
		public $royaltyPaymentsDue;
	
		/**
		 * @var double $otherExpenses 
		 */
		public $otherExpenses;
	
		/**
		 * @var double $costsOfSubContractedWork 
		 */
		public $costsOfSubContractedWork;
	
		/**
		 * @var double $rent 
		 */
		public $rent;
	
		/**
		 * @var double $valueOfBadDebtsWrittenOff 
		 */
		public $valueOfBadDebtsWrittenOff;
	
		/**
		 * @var double $advertisingDistributionCommercialExpenses 
		 */
		public $advertisingDistributionCommercialExpenses;
	
		/**
		 * @var double $generalExpenses 
		 */
		public $generalExpenses;
	
		/**
		 * @var double $salesAdministrationExpenses 
		 */
		public $salesAdministrationExpenses;
	
		/**
		 * @var double $serviceCosts 
		 */
		public $serviceCosts;
	
		/**
		 * @var double $restructuringCosts 
		 */
		public $restructuringCosts;
	
		/**
		 * @var double $taxesAndSocialSecurityCosts 
		 */
		public $taxesAndSocialSecurityCosts;
	
		/**
		 * @var double $socialCharges 
		 */
		public $socialCharges;
	
		/**
		 * @var double $generalLabourCosts 
		 */
		public $generalLabourCosts;
	
		/**
		 * @var double $techniciansIndemnityProvision 
		 */
		public $techniciansIndemnityProvision;
	
		/**
		 * @var double $commercialStaffLabourCosts 
		 */
		public $commercialStaffLabourCosts;
	
		/**
		 * @var double $commercialStaffIndemnityCharge 
		 */
		public $commercialStaffIndemnityCharge;
	
		/**
		 * @var double $administrationAndManagementCosts 
		 */
		public $administrationAndManagementCosts;
	
		/**
		 * @var double $administrationAndManagementIndemnityCharge 
		 */
		public $administrationAndManagementIndemnityCharge;
	
		/**
		 * @var double $totalPayrollCosts 
		 */
		public $totalPayrollCosts;
	
		/**
		 * @var double $costOfStockDepreciationAndAmortisation 
		 */
		public $costOfStockDepreciationAndAmortisation;
	
		/**
		 * @var double $fixedAssetDepreciationAndAmortisation 
		 */
		public $fixedAssetDepreciationAndAmortisation;
	
		/**
		 * @var double $changeInValueOfFixedAssets 
		 */
		public $changeInValueOfFixedAssets;
	
		/**
		 * @var double $changeInValueOfFixedAssetsArisingFromRevaluation 
		 */
		public $changeInValueOfFixedAssetsArisingFromRevaluation;
	
		/**
		 * @var double $extraordinaryDepreciationOfCurrentAssets 
		 */
		public $extraordinaryDepreciationOfCurrentAssets;
	
		/**
		 * @var double $otherUnclassifiedExpenses 
		 */
		public $otherUnclassifiedExpenses;
	
		/**
		 * @var double $contingencyCosts 
		 */
		public $contingencyCosts;
	
		/**
		 * @var double $otherOperatingCosts 
		 */
		public $otherOperatingCosts;
	
		/**
		 * @var double $totalOperatingCosts 
		 */
		public $totalOperatingCosts;
	
		/**
		 * @var double $netOperatingIncome 
		 */
		public $netOperatingIncome;
	
		/**
		 * @var double $jointVentureResults 
		 */
		public $jointVentureResults;
	
		/**
		 * @var double $increaseInValueOfFixedAssets 
		 */
		public $increaseInValueOfFixedAssets;
	
		/**
		 * @var double $interestReceivedFromLoans 
		 */
		public $interestReceivedFromLoans;
	
		/**
		 * @var double $incomeReceivedFromAssociatedCompanies 
		 */
		public $incomeReceivedFromAssociatedCompanies;
	
		/**
		 * @var double $otherIncome 
		 */
		public $otherIncome;
	
		/**
		 * @var double $totalFinancialIncome 
		 */
		public $totalFinancialIncome;
	
		/**
		 * @var double $lossesOnCapital 
		 */
		public $lossesOnCapital;
	
		/**
		 * @var double $interestPayableOnLoans 
		 */
		public $interestPayableOnLoans;
	
		/**
		 * @var double $otherExpenses2 
		 */
		public $otherExpenses2;
	
		/**
		 * @var double $totalExpenses 
		 */
		public $totalExpenses;
	
		/**
		 * @var double $profitBeforeTax 
		 */
		public $profitBeforeTax;
	
		/**
		 * @var double $profitAttributableToMinorityInterestShareholdings 
		 */
		public $profitAttributableToMinorityInterestShareholdings;
	
		/**
		 * @var double $profitOnOrdinaryActivitiesAfterTax 
		 */
		public $profitOnOrdinaryActivitiesAfterTax;
	
		/**
		 * @var double $extraordinaryIncome 
		 */
		public $extraordinaryIncome;
	
		/**
		 * @var double $provisions 
		 */
		public $provisions;
	
		/**
		 * @var double $valueOfIntangibleAssetsWrittenOff 
		 */
		public $valueOfIntangibleAssetsWrittenOff;
	
		/**
		 * @var double $extraordinaryExpenses 
		 */
		public $extraordinaryExpenses;
	
		/**
		 * @var double $extraordinaryResult 
		 */
		public $extraordinaryResult;
	
		/**
		 * @var double $taxOnExtraordinaryItems 
		 */
		public $taxOnExtraordinaryItems;
	
		/**
		 * @var double $profitAfterExtraordinaryItemsAndBeforeTax 
		 */
		public $profitAfterExtraordinaryItemsAndBeforeTax;
	
		/**
		 * @var double $otherTaxes 
		 */
		public $otherTaxes;
	
		/**
		 * @var double $taxAdjustments 
		 */
		public $taxAdjustments;
	
		/**
		 * @var double $totalTaxation 
		 */
		public $totalTaxation;
	
		/**
		 * @var double $profitAfterTaxAndBeforeExtraordinaryItems 
		 */
		public $profitAfterTaxAndBeforeExtraordinaryItems;
	
		/**
		 * @var double $exceptionalItems 
		 */
		public $exceptionalItems;
	
		/**
		 * @var double $profitAfterTax 
		 */
		public $profitAfterTax;
	
		/**
		 * @var double $profitTransferredToUntaxedReserves 
		 */
		public $profitTransferredToUntaxedReserves;
	
		/**
		 * @var double $profitDistributedToShareholders 
		 */
		public $profitDistributedToShareholders;
	
		/**
		 * @var double $profitDistributedToEmployees 
		 */
		public $profitDistributedToEmployees;
	
		/**
		 * @var double $profitLossBroughtForward 
		 */
		public $profitLossBroughtForward;
	
		/**
		 * @var double $netProfit 
		 */
		public $netProfit;
	
		/**
		 * @var double $netLoss 
		 */
		public $netLoss;
	
		/**
		 * @var double $movementInStocks 
		 */
		public $movementInStocks;
	}
?>