<?php
	/**
	 * Class factiva_ExecutiveProfile
	 */
	class factiva_ExecutiveProfile {
	
		/**
		 * @var string $street1 
		 */
		public $street1;
	
		/**
		 * @var string $street2 
		 */
		public $street2;
	
		/**
		 * @var string $street3 
		 */
		public $street3;
	
		/**
		 * @var int $age 
		 */
		public $age;
	
		/**
		 * @var int $salary 
		 */
		public $salary;
	
		/**
		 * @var string $currency 
		 */
		public $currency;
	
		/**
		 * @var string $city 
		 */
		public $city;
	
		/**
		 * @var string $companyCode 
		 */
		public $companyCode;
	
		/**
		 * @var string $companyName 
		 */
		public $companyName;
	
		/**
		 * @var string $country 
		 */
		public $country;
	
		/**
		 * @var string $firstName 
		 */
		public $firstName;
	
		/**
		 * @var string $lastName 
		 */
		public $lastName;
	
		/**
		 * @var string $completeName 
		 */
		public $completeName;
	
		/**
		 * @var string $jobTitle 
		 */
		public $jobTitle;
	
		/**
		 * @var string $executiveLevel 
		 */
		public $executiveLevel;
	
		/**
		 * @var boolean $boardMembership 
		 */
		public $boardMembership;
	
		/**
		 * @var string $regionCode 
		 */
		public $regionCode;
	
		/**
		 * @var string $regionDescriptor 
		 */
		public $regionDescriptor;
	
		/**
		 * @var string $stateProvinceCounty 
		 */
		public $stateProvinceCounty;
	
		/**
		 * @var string $zipPostalCode 
		 */
		public $zipPostalCode;
	
		/**
		 * @var string $phone 
		 */
		public $phone;
	
		/**
		 * @var string $ownershipType (OwnershipType)
		 */
		public $ownershipType;
	
		/**
		 * @var string $industryCode 
		 */
		public $industryCode;
	
		/**
		 * @var string $industryDescriptor 
		 */
		public $industryDescriptor;
	
		/**
		 * @var string $nace 
		 */
		public $nace;
	
		/**
		 * @var string $naceDescriptor 
		 */
		public $naceDescriptor;
	
		/**
		 * @var string $naics 
		 */
		public $naics;
	
		/**
		 * @var string $naicsDescriptor 
		 */
		public $naicsDescriptor;
	
		/**
		 * @var string $sic 
		 */
		public $sic;
	
		/**
		 * @var string $sicDescriptor 
		 */
		public $sicDescriptor;
	
		/**
		 * @var string $providerID 
		 */
		public $providerID;
	
		/**
		 * @var string $providerName 
		 */
		public $providerName;
	
		/**
		 * @var string $providerCopyright 
		 */
		public $providerCopyright;
	
		/**
		 * @var string $providerTerms 
		 */
		public $providerTerms;
	
		/**
		 * @var string $sourceCode 
		 */
		public $sourceCode;
	
		/**
		 * @var string $sourceName 
		 */
		public $sourceName;
	
		/**
		 * @var factiva_JobFunctions $jobFunctions 
		 */
		public $jobFunctions;
	
		/**
		 * @var factiva_Colleges $colleges 
		 */
		public $colleges;
	
		/**
		 * @var factiva_ExecutiveDetailsReferences $executiveDetailsReferences 
		 */
		public $executiveDetailsReferences;
	
		/**
		 * @var string $lang 
		 */
		public $lang;
	
		/**
		 * @var string $lastUpdate 
		 */
		public $lastUpdate;
	}
?>