<?php
	/**
	 * This class encloses the necessary elements to perform an GetSortKeys operation
	 **/
	class WSKGetSortKeysRequest {
		
		/**
		 * This authentication token must be included in all non-authentication types of requests.
		 * @var string
		 * */
		public $binarySecurityToken;
		
		/**
		 * Identifies the search results set to be resorted.
		 * @var string
		 * */
		public $searchId;
		
		/**
		 * @param string $binarySecurityToken This authentication token must be included in all non-authentication types of requests.
		 * @param string $searchId Identifies the search results set to be resorted.
		 * */
		public function __construct( $binarySecurityToken, $searchId = null ) {
			$this->binarySecurityToken = $binarySecurityToken;
			$this->searchId = $searchId;
		}
	}
?>