<?php
	/**
	 * Class factiva_Article
	 */
	class factiva_Article {
	
		/**
		 * @var string $accessionNo 
		 */
		public $accessionNo;
	
		/**
		 * @var string $artWork 
		 */
		public $artWork;
	
		/**
		 * @var string $baseLanguage 
		 */
		public $baseLanguage;
	
		/**
		 * @var string $byline 
		 */
		public $byline;
	
		/**
		 * @var string $credit 
		 */
		public $credit;
	
		/**
		 * @var factiva_IndexingCodeSets $indexingCodeSets 
		 */
		public $indexingCodeSets;
	
		/**
		 * @var string $columnName 
		 */
		public $columnName;
	
		/**
		 * @var string $contact 
		 */
		public $contact;
	
		/**
		 * @var string $copyright 
		 */
		public $copyright;
	
		/**
		 * @var factiva_Corrections $corrections 
		 */
		public $corrections;
	
		/**
		 * @var string $edition 
		 */
		public $edition;
	
		/**
		 * @var factiva_Headline $headline 
		 */
		public $headline;
	
		/**
		 * @var factiva_LeadParagraph $leadParagraph 
		 */
		public $leadParagraph;
	
		/**
		 * @var factiva_Logo $logo 
		 */
		public $logo;
	
		/**
		 * @var string $notes 
		 */
		public $notes;
	
		/**
		 * @var factiva_Pages $pages 
		 */
		public $pages;
	
		/**
		 * @var string $publicationDate 
		 */
		public $publicationDate;
	
		/**
		 * @var string $publicationTime 
		 */
		public $publicationTime;
	
		/**
		 * @var string $publisherGroupName 
		 */
		public $publisherGroupName;
	
		/**
		 * @var string $publisherGroupCode 
		 */
		public $publisherGroupCode;
	
		/**
		 * @var string $publisherName 
		 */
		public $publisherName;
	
		/**
		 * @var string $reference 
		 */
		public $reference;
	
		/**
		 * @var string $sectionName 
		 */
		public $sectionName;
	
		/**
		 * @var string $sourceCode 
		 */
		public $sourceCode;
	
		/**
		 * @var string $sourceName 
		 */
		public $sourceName;
	
		/**
		 * @var factiva_Status $status 
		 */
		public $status;
	
		/**
		 * @var factiva_TailParagraphs $tailParagraphs 
		 */
		public $tailParagraphs;
	
		/**
		 * @var string $volume 
		 */
		public $volume;
	
		/**
		 * @var int $wordCount 
		 */
		public $wordCount;
	}
?>