<?php
	/**
	 * Class factiva_InsuranceBalanceSheetItems
	 */
	class factiva_InsuranceBalanceSheetItems {
	
		/**
		 * @var double $cash 
		 */
		public $cash;
	
		/**
		 * @var double $cashAndEquivalents 
		 */
		public $cashAndEquivalents;
	
		/**
		 * @var double $otherReceivables 
		 */
		public $otherReceivables;
	
		/**
		 * @var double $netTotalReceivables 
		 */
		public $netTotalReceivables;
	
		/**
		 * @var double $prepaidExpenses 
		 */
		public $prepaidExpenses;
	
		/**
		 * @var double $leases 
		 */
		public $leases;
	
		/**
		 * @var double $otherLongTermInvestments 
		 */
		public $otherLongTermInvestments;
	
		/**
		 * @var double $insuranceReceivables 
		 */
		public $insuranceReceivables;
	
		/**
		 * @var double $noteReceivableLongTerm 
		 */
		public $noteReceivableLongTerm;
	
		/**
		 * @var double $deferredCharges 
		 */
		public $deferredCharges;
	
		/**
		 * @var double $restrictedCashLongTerm 
		 */
		public $restrictedCashLongTerm;
	
		/**
		 * @var double $deferredPolicyAcquisitionCosts 
		 */
		public $deferredPolicyAcquisitionCosts;
	
		/**
		 * @var double $securitiesIndebtednessOfRelatedParties 
		 */
		public $securitiesIndebtednessOfRelatedParties;
	
		/**
		 * @var double $accruedInvestmentIncome 
		 */
		public $accruedInvestmentIncome;
	
		/**
		 * @var double $reinsuranceAsset 
		 */
		public $reinsuranceAsset;
	
		/**
		 * @var double $separateAccountsAssets 
		 */
		public $separateAccountsAssets;
	
		/**
		 * @var double $policyLiabilities 
		 */
		public $policyLiabilities;
	
		/**
		 * @var double $insuranceReserves 
		 */
		public $insuranceReserves;
	
		/**
		 * @var double $unearnedPremiumUnearnedRevenue 
		 */
		public $unearnedPremiumUnearnedRevenue;
	
		/**
		 * @var double $repurchaseAgreements 
		 */
		public $repurchaseAgreements;
	
		/**
		 * @var double $separateAccountsLiability 
		 */
		public $separateAccountsLiability;
	
		/**
		 * @var double $otherPolicyholdersFunds 
		 */
		public $otherPolicyholdersFunds;
	
		/**
		 * @var double $reinsuranceLiability 
		 */
		public $reinsuranceLiability;
	
		/**
		 * @var double $totalPolicyLiabilities 
		 */
		public $totalPolicyLiabilities;
	
		/**
		 * @var double $notesPayableShortTermDebt 
		 */
		public $notesPayableShortTermDebt;
	
		/**
		 * @var double $customerAdvances 
		 */
		public $customerAdvances;
	
		/**
		 * @var double $securityDeposits 
		 */
		public $securityDeposits;
	
		/**
		 * @var double $otherPayables 
		 */
		public $otherPayables;
	
		/**
		 * @var double $buildings 
		 */
		public $buildings;
	
		/**
		 * @var double $landImprovements 
		 */
		public $landImprovements;
	
		/**
		 * @var double $machineryEquipment 
		 */
		public $machineryEquipment;
	
		/**
		 * @var double $constructionInProgress 
		 */
		public $constructionInProgress;
	
		/**
		 * @var double $otherPropertyPlantEquipment 
		 */
		public $otherPropertyPlantEquipment;
	
		/**
		 * @var double $grossPropertyPlantEquipment 
		 */
		public $grossPropertyPlantEquipment;
	
		/**
		 * @var double $accumulatedDepreciation 
		 */
		public $accumulatedDepreciation;
	
		/**
		 * @var double $netPropertyPlantEquipment 
		 */
		public $netPropertyPlantEquipment;
	
		/**
		 * @var double $grossGoodwill 
		 */
		public $grossGoodwill;
	
		/**
		 * @var double $accumulatedGoodwillAmortization 
		 */
		public $accumulatedGoodwillAmortization;
	
		/**
		 * @var double $netGoodwill 
		 */
		public $netGoodwill;
	
		/**
		 * @var double $grossIntangibles 
		 */
		public $grossIntangibles;
	
		/**
		 * @var double $accumulatedIntangibleAmortization 
		 */
		public $accumulatedIntangibleAmortization;
	
		/**
		 * @var double $netIntangibles 
		 */
		public $netIntangibles;
	
		/**
		 * @var double $affiliateCompaniesLongTermInvestments 
		 */
		public $affiliateCompaniesLongTermInvestments;
	
		/**
		 * @var double $totalLongTermInvestments 
		 */
		public $totalLongTermInvestments;
	
		/**
		 * @var double $pensionBenefitsOverfunded 
		 */
		public $pensionBenefitsOverfunded;
	
		/**
		 * @var double $deferredIncomeTaxLongTermAsset 
		 */
		public $deferredIncomeTaxLongTermAsset;
	
		/**
		 * @var double $discontinuedOperationsLongTermAsset 
		 */
		public $discontinuedOperationsLongTermAsset;
	
		/**
		 * @var double $totalOtherLongTermAssets 
		 */
		public $totalOtherLongTermAssets;
	
		/**
		 * @var double $otherAssets 
		 */
		public $otherAssets;
	
		/**
		 * @var double $totalOtherAssets 
		 */
		public $totalOtherAssets;
	
		/**
		 * @var double $totalAssets 
		 */
		public $totalAssets;
	
		/**
		 * @var double $accountsPayable 
		 */
		public $accountsPayable;
	
		/**
		 * @var double $payableAccrued 
		 */
		public $payableAccrued;
	
		/**
		 * @var double $accruedExpenses 
		 */
		public $accruedExpenses;
	
		/**
		 * @var double $currentPortionOfLongTermDebtCapitalLeases 
		 */
		public $currentPortionOfLongTermDebtCapitalLeases;
	
		/**
		 * @var double $dividendsPayable 
		 */
		public $dividendsPayable;
	
		/**
		 * @var double $incomeTaxesPayable 
		 */
		public $incomeTaxesPayable;
	
		/**
		 * @var double $totalOtherCurrentLiabilities 
		 */
		public $totalOtherCurrentLiabilities;
	
		/**
		 * @var double $longTermDebt 
		 */
		public $longTermDebt;
	
		/**
		 * @var double $capitalLeaseObligations 
		 */
		public $capitalLeaseObligations;
	
		/**
		 * @var double $totalLongTermDebt 
		 */
		public $totalLongTermDebt;
	
		/**
		 * @var double $totalDebt 
		 */
		public $totalDebt;
	
		/**
		 * @var double $deferredIncomeTaxLongTermLiability 
		 */
		public $deferredIncomeTaxLongTermLiability;
	
		/**
		 * @var double $totalDeferredIncomeTax 
		 */
		public $totalDeferredIncomeTax;
	
		/**
		 * @var double $minorityInterest 
		 */
		public $minorityInterest;
	
		/**
		 * @var double $pensionBenefitsUnderfunded 
		 */
		public $pensionBenefitsUnderfunded;
	
		/**
		 * @var double $discontinuedOperationsLiabilities 
		 */
		public $discontinuedOperationsLiabilities;
	
		/**
		 * @var double $otherLiabilities 
		 */
		public $otherLiabilities;
	
		/**
		 * @var double $totalOtherLiabilities 
		 */
		public $totalOtherLiabilities;
	
		/**
		 * @var double $totalLiabilities 
		 */
		public $totalLiabilities;
	
		/**
		 * @var double $redeemablePreferredStock 
		 */
		public $redeemablePreferredStock;
	
		/**
		 * @var double $redeemableConvertiblePreferredStock 
		 */
		public $redeemableConvertiblePreferredStock;
	
		/**
		 * @var double $totalRedeemablePreferredStock 
		 */
		public $totalRedeemablePreferredStock;
	
		/**
		 * @var double $preferredStockNonRedeemable 
		 */
		public $preferredStockNonRedeemable;
	
		/**
		 * @var double $convertiblePreferredStockNonRedeemable 
		 */
		public $convertiblePreferredStockNonRedeemable;
	
		/**
		 * @var double $treasuryStockPreferred 
		 */
		public $treasuryStockPreferred;
	
		/**
		 * @var double $generalPartner 
		 */
		public $generalPartner;
	
		/**
		 * @var double $totalNetPreferredStockNonRedeemable 
		 */
		public $totalNetPreferredStockNonRedeemable;
	
		/**
		 * @var double $commonStock 
		 */
		public $commonStock;
	
		/**
		 * @var double $limitedPartner 
		 */
		public $limitedPartner;
	
		/**
		 * @var double $totalCommonStock 
		 */
		public $totalCommonStock;
	
		/**
		 * @var double $additionalPaidInCapital 
		 */
		public $additionalPaidInCapital;
	
		/**
		 * @var double $retainedEarnings 
		 */
		public $retainedEarnings;
	
		/**
		 * @var double $treasuryStockCommon 
		 */
		public $treasuryStockCommon;
	
		/**
		 * @var double $esopDebtGuarantee 
		 */
		public $esopDebtGuarantee;
	
		/**
		 * @var double $unrealizedGain 
		 */
		public $unrealizedGain;
	
		/**
		 * @var double $translationAdjustment 
		 */
		public $translationAdjustment;
	
		/**
		 * @var double $otherEquity 
		 */
		public $otherEquity;
	
		/**
		 * @var double $minimumPensionLiabilityAdjustment 
		 */
		public $minimumPensionLiabilityAdjustment;
	
		/**
		 * @var double $otherComprehensiveIncome 
		 */
		public $otherComprehensiveIncome;
	
		/**
		 * @var double $totalOtherEquity 
		 */
		public $totalOtherEquity;
	
		/**
		 * @var double $totalEquity 
		 */
		public $totalEquity;
	
		/**
		 * @var double $totalLiabilitiesAndShareholdersEquity 
		 */
		public $totalLiabilitiesAndShareholdersEquity;
	
		/**
		 * @var double $sharesOutstandingCommonStockPrimaryIssue 
		 */
		public $sharesOutstandingCommonStockPrimaryIssue;
	
		/**
		 * @var double $sharesOutstandingCommonStockIssue2 
		 */
		public $sharesOutstandingCommonStockIssue2;
	
		/**
		 * @var double $sharesOutstandingCommonStockIssue3 
		 */
		public $sharesOutstandingCommonStockIssue3;
	
		/**
		 * @var double $sharesOutstandingCommonStockIssue4 
		 */
		public $sharesOutstandingCommonStockIssue4;
	
		/**
		 * @var double $totalCommonSharesOutstanding 
		 */
		public $totalCommonSharesOutstanding;
	
		/**
		 * @var double $treasurySharesCommonPrimaryIssue 
		 */
		public $treasurySharesCommonPrimaryIssue;
	
		/**
		 * @var double $treasurySharesCommonIssue2 
		 */
		public $treasurySharesCommonIssue2;
	
		/**
		 * @var double $treasurySharesCommonIssue3 
		 */
		public $treasurySharesCommonIssue3;
	
		/**
		 * @var double $treasurySharesCommonIssue4 
		 */
		public $treasurySharesCommonIssue4;
	
		/**
		 * @var double $sharesOutstandingPreferredStockPrimaryIssue 
		 */
		public $sharesOutstandingPreferredStockPrimaryIssue;
	
		/**
		 * @var double $sharesOutstandingPreferredStockIssue2 
		 */
		public $sharesOutstandingPreferredStockIssue2;
	
		/**
		 * @var double $sharesOutstandingPreferredStockIssue3 
		 */
		public $sharesOutstandingPreferredStockIssue3;
	
		/**
		 * @var double $sharesOutstandingPreferredStockIssue4 
		 */
		public $sharesOutstandingPreferredStockIssue4;
	
		/**
		 * @var double $sharesOutstandingPreferredStockIssue5 
		 */
		public $sharesOutstandingPreferredStockIssue5;
	
		/**
		 * @var double $sharesOutstandingPreferredStockIssue6 
		 */
		public $sharesOutstandingPreferredStockIssue6;
	
		/**
		 * @var double $totalPreferredSharesOutstanding 
		 */
		public $totalPreferredSharesOutstanding;
	
		/**
		 * @var double $treasurySharesPreferredPrimaryIssue 
		 */
		public $treasurySharesPreferredPrimaryIssue;
	
		/**
		 * @var double $treasurySharesPreferredIssue2 
		 */
		public $treasurySharesPreferredIssue2;
	
		/**
		 * @var double $treasurySharesPreferredIssue3 
		 */
		public $treasurySharesPreferredIssue3;
	
		/**
		 * @var double $treasurySharesPreferredIssue4 
		 */
		public $treasurySharesPreferredIssue4;
	
		/**
		 * @var double $treasurySharesPreferredIssue5 
		 */
		public $treasurySharesPreferredIssue5;
	
		/**
		 * @var double $treasurySharesPreferredIssue6 
		 */
		public $treasurySharesPreferredIssue6;
	}
?>