<?php
	/**
	 * Class factiva_Source
	 */
	class factiva_Source {
	
		/**
		 * @var string $articleCoverage (ArticleCoverage)
		 */
		public $articleCoverage;
	
		/**
		 * @var string $availabilityStatus (AvailabilityStatus)
		 */
		public $availabilityStatus;
	
		/**
		 * @var string $baseLanguage 
		 */
		public $baseLanguage;
	
		/**
		 * @var int $circulation 
		 */
		public $circulation;
	
		/**
		 * @var string $circulationDate 
		 */
		public $circulationDate;
	
		/**
		 * @var string $circulationSource 
		 */
		public $circulationSource;
	
		/**
		 * @var factiva_CompositeSourceCodes $compositeSourceCodes 
		 */
		public $compositeSourceCodes;
	
		/**
		 * @var boolean $continuouslyUpdated 
		 */
		public $continuouslyUpdated;
	
		/**
		 * @var string $copyright 
		 */
		public $copyright;
	
		/**
		 * @var string $coverage (Coverage)
		 */
		public $coverage;
	
		/**
		 * @var factiva_Description $description 
		 */
		public $description;
	
		/**
		 * @var factiva_DescriptionNationalLanguage $descriptionNationalLanguage 
		 */
		public $descriptionNationalLanguage;
	
		/**
		 * @var string $discontinued 
		 */
		public $discontinued;
	
		/**
		 * @var factiva_Frequency $frequency 
		 */
		public $frequency;
	
		/**
		 * @var string $firstIssue 
		 */
		public $firstIssue;
	
		/**
		 * @var factiva_GroupCodes $groupCodes 
		 */
		public $groupCodes;
	
		/**
		 * @var string $listName 
		 */
		public $listName;
	
		/**
		 * @var string $maximumLag 
		 */
		public $maximumLag;
	
		/**
		 * @var string $minimumLag 
		 */
		public $minimumLag;
	
		/**
		 * @var string $mostRecentIssue 
		 */
		public $mostRecentIssue;
	
		/**
		 * @var string $nominalLag 
		 */
		public $nominalLag;
	
		/**
		 * @var factiva_NonPublicationDays $nonPublicationDays 
		 */
		public $nonPublicationDays;
	
		/**
		 * @var string $notes 
		 */
		public $notes;
	
		/**
		 * @var string $onlineAvailability 
		 */
		public $onlineAvailability;
	
		/**
		 * @var factiva_PublicationFormats $publicationFormats 
		 */
		public $publicationFormats;
	
		/**
		 * @var string $publicationWebAddress 
		 */
		public $publicationWebAddress;
	
		/**
		 * @var string $publisherCode 
		 */
		public $publisherCode;
	
		/**
		 * @var factiva_PublisherLogo $publisherLogo 
		 */
		public $publisherLogo;
	
		/**
		 * @var string $publisherName 
		 */
		public $publisherName;
	
		/**
		 * @var factiva_PublisherPromotion $publisherPromotion 
		 */
		public $publisherPromotion;
	
		/**
		 * @var string $publisherWebAddress 
		 */
		public $publisherWebAddress;
	
		/**
		 * @var factiva_Status $status 
		 */
		public $status;
	
		/**
		 * @var string $sortName 
		 */
		public $sortName;
	
		/**
		 * @var string $sortNameNationalLanguage 
		 */
		public $sortNameNationalLanguage;
	
		/**
		 * @var string $sourceCode 
		 */
		public $sourceCode;
	
		/**
		 * @var string $sourceName 
		 */
		public $sourceName;
	
		/**
		 * @var string $sourceNameNationalLanguage 
		 */
		public $sourceNameNationalLanguage;
	
		/**
		 * @var string $updateSchedule 
		 */
		public $updateSchedule;
	
		/**
		 * @var string $sourceType 
		 */
		public $sourceType;
	
		/**
		 * @var string $lang 
		 */
		public $lang;
	}
?>