<?php
	/**
	 * Encloses zero or more documentVersion elements, each of which identifies a document version.
	 * @see WSKDocumentContainer
	 * */
	class WSKDocumentVersionList {
	
		/**
		 *	Document version information.
		 *	@var WSKDocumentVersion
		 *	*/
		public $documentVersion;
		
		/**
		 * Constructs a documentVersionList object
		 * @param WSKDocumentVersion $documentVersion
		 * */
		public function __construct( $documentVersion = null ) {
			$this->documentVersion = null === $documentVersion ? array() : $documentVersion;
		}
		
	}
?>